import _pt from "prop-types";
import React from 'react';

(function () {
  const styles = "@charset \"UTF-8\";\n/*\n* placeholder\n*/\n/* all colors in theme */\n/**\n * Foundation for Sites\n * Version 6.6.3\n * https://get.foundation\n * Licensed under MIT Open Source\n */\n/**\n* [STORYBOOK] Componente Alerta Num\xE9rico\n*/\n.alerta-numerico {\n  transition: all 0.25s ease;\n  display: inline-flex;\n  align-items: center;\n  justify-content: center;\n  line-height: 1;\n  min-width: 1.5625rem;\n  max-width: 1.5625rem;\n  width: 1.5625rem;\n  height: 1.5625rem;\n  border-radius: 50%;\n  font-weight: 400;\n  font-size: 0.75rem;\n  border: 1px solid rgba(255, 85, 74, 0.86);\n  color: #fff;\n  background-color: rgba(255, 85, 74, 0.86);\n  /* Status dos pedidos */ }\n  .alerta-numerico.is-reverse {\n    color: rgba(255, 85, 74, 0.86);\n    background-color: #fff;\n    border: 1px solid rgba(255, 85, 74, 0.86); }\n  .alerta-numerico.is-invisible {\n    visibility: hidden !important;\n    opacity: 0 !important;\n    overflow: hidden !important;\n    position: absolute !important;\n    white-space: nowrap !important;\n    display: none !important; }\n  .alerta-numerico.status-order-preparo {\n    border: 1px solid #ffad10;\n    background-color: #ffad10;\n    color: #fff; }\n  .alerta-numerico.status-order-esperando {\n    border: 1px solid rgba(0, 204, 173, 0.8);\n    background-color: rgba(0, 204, 173, 0.8);\n    color: #fff; }\n  .alerta-numerico.status-order-saiu {\n    border: 1px solid #4cbcfc;\n    background-color: #4cbcfc;\n    color: #fff; }\n  .alerta-numerico.status-order-retirar {\n    border: 1px solid #8d75ef;\n    background-color: #8d75ef;\n    color: #fff; }\n  .alerta-numerico.status-order-agendado {\n    border: 1px solid #f492fd;\n    background-color: #f492fd;\n    color: #fff; }\n  .alerta-numerico.status-order-none {\n    border: 1px solid #ff90b2;\n    background-color: #ff90b2;\n    color: #fff; }\n";
  const fileName = "AlertaNumerico_AlertaNumerico";
  const element = document.querySelector("style[data-sass-component='AlertaNumerico_AlertaNumerico']");

  if (!element) {
    const styleBlock = document.createElement("style");
    styleBlock.innerHTML = styles;
    styleBlock.setAttribute("data-sass-component", fileName);
    document.head.appendChild(styleBlock);
  } else {
    element.innerHTML = styles;
  }
})();

/**
 * Alerta Numérico
 */
export const AlertaNumerico = ({
  number = 0,
  reverse = false,
  customClass = ''
}) => {
  const isReverse = reverse ? 'is-reverse' : '';
  const hasCustomClass = customClass || '';
  return /*#__PURE__*/React.createElement("div", {
    className: ['alerta-numerico', isReverse, hasCustomClass].join(' ')
  }, number > 99 ? '99+' : number);
};
AlertaNumerico.propTypes = {
  number: _pt.number.isRequired,
  reverse: _pt.bool,
  customClass: _pt.string
};
//# sourceMappingURL=AlertaNumerico.js.map