import _pt from "prop-types";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from 'react';
import Loader from 'react-loader-spinner';
import { Icon } from '../Icon/Icon';

(function () {
  const styles = "/*\n* placeholder\n*/\n/* all colors in theme */\n/**\n * Foundation for Sites\n * Version 6.6.3\n * https://get.foundation\n * Licensed under MIT Open Source\n */\n/**\n* [STORYBOOK] Componente Button\n*/\n/* Default*/\n.button {\n  user-select: none;\n  transition: all 0.5s ease;\n  cursor: pointer;\n  position: relative;\n  font-family: inherit;\n  font-weight: 700;\n  font-size: 1.125rem;\n  border: 0 solid #ff90b2;\n  border-radius: 10px;\n  line-height: 1;\n  color: #fff;\n  background-color: #ff90b2;\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  padding: 1.25rem;\n  outline: 0;\n  height: 3.75rem; }\n  .button svg {\n    height: 1.125rem;\n    width: 1.125rem;\n    margin-right: 0.5rem; }\n  .button:active, .button:focus, .button:hover {\n    outline: 0;\n    background-color: rgba(255, 144, 178, 0.5);\n    color: #fff;\n    border: 0 solid rgba(255, 144, 178, 0.5); }\n  .button.button--primary {\n    color: #fff;\n    background-color: #ff90b2; }\n  .button.button--secondary {\n    background-color: #ffacc5;\n    color: #fff; }\n    .button.button--secondary:hover {\n      background-color: #ff90b2;\n      color: #fff; }\n  .button.button--reverse {\n    color: #ff90b2;\n    background-color: transparent;\n    border: 2px solid #ff90b2; }\n    .button.button--reverse:hover {\n      background-color: #ff90b2 !important;\n      color: #fff !important;\n      border: 2px solid #ff90b2; }\n      .button.button--reverse:hover svg {\n        fill: #fff !important; }\n    .button.button--reverse svg {\n      fill: #ff90b2 !important; }\n    .button.button--reverse [aria-busy] > svg {\n      fill: currentColor !important; }\n  .button.button--small {\n    width: 9.375rem; }\n  .button.button--medium {\n    width: 23.4375rem; }\n  .button.button--large {\n    width: 28.5rem; }\n  .button.button--action {\n    background-color: transparent;\n    display: flex;\n    align-items: center;\n    justify-content: center;\n    flex-direction: column;\n    border: 2px solid currentColor;\n    color: inherit; }\n    .button.button--action > span {\n      font-size: 1rem;\n      line-height: 1;\n      color: inherit !important; }\n    .button.button--action.has-icon {\n      width: auto;\n      height: auto;\n      border-radius: 0;\n      border: 0;\n      padding: 0;\n      color: inherit; }\n      .button.button--action.has-icon .icon-wrapper {\n        min-width: 3.125rem;\n        min-height: 3.125rem;\n        padding: 0;\n        color: inherit !important;\n        border: 2px solid currentColor !important;\n        border-radius: 10px;\n        display: flex;\n        align-items: center;\n        justify-content: center; }\n        .button.button--action.has-icon .icon-wrapper > svg {\n          color: inherit;\n          fill: currentColor !important;\n          margin: 0; }\n      .button.button--action.has-icon > span {\n        margin-top: 0.25rem; }\n  .button.button--disabled {\n    cursor: not-allowed;\n    color: #fff !important;\n    background-color: #ccc !important;\n    border: 0; }\n    .button.button--disabled:hover {\n      background-color: #ccc !important;\n      color: #fff !important; }\n  .button [aria-busy] svg {\n    fill: #fff;\n    margin: 0 auto;\n    height: 1.5rem;\n    width: 1.5rem; }\n";
  const fileName = "Button_Button";
  const element = document.querySelector("style[data-sass-component='Button_Button']");

  if (!element) {
    const styleBlock = document.createElement("style");
    styleBlock.innerHTML = styles;
    styleBlock.setAttribute("data-sass-component", fileName);
    document.head.appendChild(styleBlock);
  } else {
    element.innerHTML = styles;
  }
})();

import 'react-loader-spinner/dist/loader/css/react-spinner-loader.css';

/**
 * Primary UI component for user interaction
 */
export const Button = (_ref) => {
  let {
    label,
    iconName,
    reverse = false,
    disabled = false,
    width,
    size,
    backgroundColor,
    onClick,
    onHover,
    type = 'button',
    loading,
    action
  } = _ref,
      props = _objectWithoutProperties(_ref, ["label", "iconName", "reverse", "disabled", "width", "size", "backgroundColor", "onClick", "onHover", "type", "loading", "action"]);

  const isDisabled = disabled ? 'button--disabled' : '';
  const isReverse = reverse ? 'button--reverse' : '';
  const hasSize = size ? `button--${size}` : '';
  const hasAction = action ? `button--action` : '';
  const hasIcon = iconName ? `has-icon` : '';
  return /*#__PURE__*/React.createElement("button", _extends({
    // eslint-disable-next-line react/button-has-type
    type: type,
    disabled: disabled,
    onClick: onClick,
    onMouseEnter: onHover,
    className: ['button', isDisabled, isReverse, hasSize, hasAction, hasIcon].join(' '),
    style: {
      backgroundColor: reverse ? 'transparent' : backgroundColor,
      color: reverse ? backgroundColor : '',
      borderColor: backgroundColor !== undefined && backgroundColor !== '' ? backgroundColor : '',
      width: width !== undefined && width !== '' ? width : ''
    }
  }, props), iconName !== undefined && iconName !== '' && !loading && /*#__PURE__*/React.createElement("div", {
    className: "icon-wrapper"
  }, /*#__PURE__*/React.createElement(Icon, {
    color: "inherit",
    name: iconName,
    size: "25px"
  })), !loading && /*#__PURE__*/React.createElement("span", null, label), /*#__PURE__*/React.createElement(Loader, {
    type: "ThreeDots",
    color: reverse ? backgroundColor : '#fff',
    height: 36,
    width: 36,
    visible: loading === true
  }));
};
Button.propTypes = {
  label: _pt.string.isRequired,
  iconName: _pt.string,
  width: _pt.string,
  backgroundColor: _pt.string,
  reverse: _pt.bool,
  disabled: _pt.bool,
  loading: _pt.bool,
  action: _pt.bool,
  size: _pt.oneOf(['small', 'medium', 'large']),
  onClick: _pt.func,
  onHover: _pt.func
};
//# sourceMappingURL=Button.js.map