import _pt from "prop-types";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from 'react';
import Collapsible from 'react-collapsible';
import { Icon } from '../Icon/Icon';

(function () {
  const styles = "/*\n* placeholder\n*/\n/* all colors in theme */\n/**\n * Foundation for Sites\n * Version 6.6.3\n * https://get.foundation\n * Licensed under MIT Open Source\n */\n/**\n* [STORYBOOK] Componente Collapse\n*/\n.Collapsible {\n  position: relative; }\n  .Collapsible + .Collapsible {\n    margin-top: 2.5rem; }\n  .Collapsible .Collapsible__contentOuter {\n    position: relative; }\n  .Collapsible .Collapsible__contentInner {\n    position: relative;\n    padding: 1rem; }\n  .Collapsible .Collapsible__trigger {\n    position: relative;\n    display: flex;\n    align-items: center;\n    border-radius: 10px;\n    background: rgba(233, 236, 239, 0.3);\n    border: 1px solid #ddd;\n    color: #495057;\n    font-weight: 700;\n    font-size: 1rem;\n    line-height: 1;\n    padding: 1rem 2rem;\n    height: 3.125rem;\n    cursor: pointer; }\n    .Collapsible .Collapsible__trigger .CollapsibleTitle {\n      position: relative;\n      width: 100%; }\n      .Collapsible .Collapsible__trigger .CollapsibleTitle svg {\n        transition: all 0.35s ease-in-out;\n        position: absolute;\n        right: 0;\n        top: 0; }\n    .Collapsible .Collapsible__trigger.is-open svg {\n      transform: rotate(180deg); }\n";
  const fileName = "Collapse_Collapse";
  const element = document.querySelector("style[data-sass-component='Collapse_Collapse']");

  if (!element) {
    const styleBlock = document.createElement("style");
    styleBlock.innerHTML = styles;
    styleBlock.setAttribute("data-sass-component", fileName);
    document.head.appendChild(styleBlock);
  } else {
    element.innerHTML = styles;
  }
})();

/**
 * Collapse - https://github.com/glennflanagan/react-collapsible#readme
 */
export const Collapse = (_ref) => {
  let {
    label,
    children
  } = _ref,
      props = _objectWithoutProperties(_ref, ["label", "children"]);

  const Title = () => {
    return /*#__PURE__*/React.createElement("div", {
      className: "CollapsibleTitle"
    }, label, /*#__PURE__*/React.createElement(Icon, {
      color: "inherit",
      name: "BsChevronDown",
      size: "16px"
    }));
  };

  if (!children) {
    return null;
  }

  return /*#__PURE__*/React.createElement(Collapsible, _extends({}, props, {
    triggerTagName: "div",
    transitionTime: 150,
    trigger: /*#__PURE__*/React.createElement(Title, null)
  }), children);
};
Collapse.propTypes = {
  label: _pt.string.isRequired
};
//# sourceMappingURL=Collapse.js.map