import _pt from "prop-types";
import React from 'react';
import { IconContext } from 'react-icons';

(function () {
  const styles = ".storybook-icon {\n  padding: 0;\n  margin: 0; }\n";
  const fileName = "Icon_Icon";
  const element = document.querySelector("style[data-sass-component='Icon_Icon']");

  if (!element) {
    const styleBlock = document.createElement("style");
    styleBlock.innerHTML = styles;
    styleBlock.setAttribute("data-sass-component", fileName);
    document.head.appendChild(styleBlock);
  } else {
    element.innerHTML = styles;
  }
})();

/**
 * Icon component -
 * Avaliable icons in
 * https://react-icons.github.io/react-icons/icons?name=bs
 */
export const Icon = ({
  size = '25px',
  name,
  color = 'inherit',
  onClick,
  onHover
}) => {
  // eslint-disable-next-line global-require
  let SelectedIcon = require(`react-icons/bs`)[name];

  if (!SelectedIcon) {
    // eslint-disable-next-line global-require
    SelectedIcon = require(`react-icons/bs`).BsXCircleFill;
  }

  return /*#__PURE__*/React.createElement(IconContext.Provider, {
    value: {
      color,
      size
    }
  }, /*#__PURE__*/React.createElement(SelectedIcon, {
    onClick: onClick,
    onMouseEnter: onHover
  }));
};
Icon.propTypes = {
  size: _pt.string.isRequired,
  name: _pt.string.isRequired,
  color: _pt.string.isRequired,
  onHover: _pt.func,
  onClick: _pt.func
};
//# sourceMappingURL=Icon.js.map