import React from 'react'; // also exported from '@storybook/react' if you can deal with breaking changes in 6.1

import { List } from './List';
import { TakiIcon } from '../TakiIcon/TakiIcon';
import TakiIcons from '../TakiIcon/TakiIcons.svg';
import { Icon } from '../Icon/Icon';
export default {
  title: 'Components/List',
  component: List
};

const Template = args => /*#__PURE__*/React.createElement(List, args);

export const Default = Template.bind({});
const Itens = [{
  title: 'Início',
  url: './',
  target: '_blank',
  onClick: e => {
    e.preventDefault();
  },
  icon: /*#__PURE__*/React.createElement(TakiIcon, {
    svgSprite: TakiIcons,
    name: "home",
    color: "inherit",
    size: "19px"
  })
}, {
  title: 'Meus Pedidos',
  url: '/loja/dashboard',
  onClick: e => {
    e.preventDefault();
  },
  icon: /*#__PURE__*/React.createElement(TakiIcon, {
    svgSprite: TakiIcons,
    name: "pedidos",
    color: "inherit",
    size: "19px"
  })
}, {
  title: 'Produtos',
  url: '/loja/produtos',
  onClick: e => {
    e.preventDefault();
  },
  alertNumber: 0,
  icon: /*#__PURE__*/React.createElement(TakiIcon, {
    svgSprite: TakiIcons,
    name: "produtos",
    color: "inherit",
    size: "19px"
  })
}, {
  title: 'Minha Loja',
  target: '_blank',
  url: '#',
  onClick: e => {
    e.preventDefault();
  },
  icon: /*#__PURE__*/React.createElement(TakiIcon, {
    svgSprite: TakiIcons,
    name: "loja",
    color: "inherit",
    size: "19px"
  })
}, {
  title: 'Aplicativo',
  target: '_blank',
  url: '#',
  onClick: e => {
    e.preventDefault();
  },
  icon: /*#__PURE__*/React.createElement(TakiIcon, {
    svgSprite: TakiIcons,
    name: "aplicativo",
    color: "inherit",
    size: "19px"
  })
}, {
  title: 'Pagamentos',
  target: '_blank',
  url: '#',
  onClick: e => {
    e.preventDefault();
  },
  icon: /*#__PURE__*/React.createElement(TakiIcon, {
    svgSprite: TakiIcons,
    name: "pagamentos",
    color: "inherit",
    size: "19px"
  })
}, {
  title: 'Cupons',
  target: '_blank',
  url: '#',
  onClick: e => {
    e.preventDefault();
  },
  icon: /*#__PURE__*/React.createElement(TakiIcon, {
    svgSprite: TakiIcons,
    name: "ticket",
    color: "inherit",
    size: "19px"
  })
}, {
  title: 'Ofertas',
  target: '_blank',
  url: '#',
  onClick: e => {
    e.preventDefault();
  },
  icon: /*#__PURE__*/React.createElement(TakiIcon, {
    svgSprite: TakiIcons,
    name: "megafone",
    color: "inherit",
    size: "19px"
  })
}, {
  title: 'Avisos',
  target: '_blank',
  url: '#',
  onClick: e => {
    e.preventDefault();
  },
  icon: /*#__PURE__*/React.createElement(TakiIcon, {
    svgSprite: TakiIcons,
    name: "chat",
    color: "inherit",
    size: "19px"
  })
}, {
  title: 'Horários',
  target: '_blank',
  url: 'https://www.google.com/',
  onClick: e => {
    e.preventDefault();
  },
  icon: /*#__PURE__*/React.createElement(TakiIcon, {
    svgSprite: TakiIcons,
    name: "horario",
    color: "inherit",
    size: "19px"
  })
}, {
  title: 'Minha Conta',
  target: '_blank',
  url: '#',
  onClick: e => {
    e.preventDefault();
  },
  icon: /*#__PURE__*/React.createElement(Icon, {
    name: "BsGear",
    color: "inherit",
    size: "19px"
  })
}];
Default.args = {
  listItens: Itens
};
//# sourceMappingURL=index.stories.js.map