import _pt from "prop-types";
import React from 'react';
import { Icon } from '../Icon/Icon';

(function () {
  const styles = "/*\n* placeholder\n*/\n/* all colors in theme */\n/**\n * Foundation for Sites\n * Version 6.6.3\n * https://get.foundation\n * Licensed under MIT Open Source\n */\n/* Modal */\n.modal-overlay {\n  background: rgba(0, 0, 0, 0.6);\n  inset: 0;\n  pointer-events: none;\n  position: fixed;\n  z-index: 500;\n  overflow: hidden;\n  transition: all 0.5s cubic-bezier(0.23, 1, 0.32, 1) 0s;\n  opacity: 0;\n  transform: translate3d(0, -5px, 0);\n  top: 0;\n  left: 0;\n  right: 0;\n  bottom: 0; }\n  .modal-overlay.show-modal {\n    pointer-events: initial;\n    opacity: 1;\n    transition: opacity 0.8s;\n    transition-timing-function: cubic-bezier(0.7, 0, 0.3, 1);\n    transform: translate3d(0, 0, 0); }\n    .modal-overlay.show-modal .modal-block {\n      opacity: 1;\n      pointer-events: auto; }\n    .modal-overlay.show-modal .modal-content {\n      pointer-events: auto; }\n  .modal-overlay .modal-block {\n    transition: all 0.5s cubic-bezier(0.23, 1, 0.32, 1) 0.25s;\n    z-index: 510;\n    pointer-events: none;\n    position: absolute;\n    opacity: 0;\n    left: 50%;\n    top: 50%;\n    transform: translate(-50%, -50%);\n    max-width: 45rem;\n    width: calc(100% - 20px); }\n    @media print, screen and (min-width: 64em) {\n      .modal-overlay .modal-block {\n        width: auto; } }\n  .modal-overlay .modal-content {\n    background-color: #fff;\n    border: 1px solid #e9ecef;\n    border-radius: 10px;\n    outline: 0;\n    pointer-events: none;\n    margin: 0 auto;\n    padding: 4rem 2rem; }\n    @media print, screen and (min-width: 64em) {\n      .modal-overlay .modal-content {\n        padding: 4rem 10rem 3.875rem; } }\n    .modal-overlay .modal-content .modal-close-button {\n      color: #ff90b2;\n      line-height: 1;\n      position: absolute;\n      right: 1rem;\n      top: 1rem; }\n      @media print, screen and (min-width: 64em) {\n        .modal-overlay .modal-content .modal-close-button {\n          right: 2rem;\n          top: 2rem; } }\n      .modal-overlay .modal-content .modal-close-button svg {\n        cursor: pointer; }\n    .modal-overlay .modal-content .modal-inner {\n      text-align: center;\n      width: 100%;\n      max-width: 25rem;\n      margin: 0 auto;\n      font-size: 1rem;\n      line-height: 1.4;\n      font-weight: 400; }\n      @media print, screen and (min-width: 64em) {\n        .modal-overlay .modal-content .modal-inner {\n          width: 25rem;\n          font-size: 1rem; } }\n    .modal-overlay .modal-content img {\n      display: inline-block;\n      max-width: 100%;\n      margin-bottom: 2rem; }\n    .modal-overlay .modal-content .button {\n      width: 100%;\n      margin-top: 3.5rem; }\n";
  const fileName = "Modal_Modal";
  const element = document.querySelector("style[data-sass-component='Modal_Modal']");

  if (!element) {
    const styleBlock = document.createElement("style");
    styleBlock.innerHTML = styles;
    styleBlock.setAttribute("data-sass-component", fileName);
    document.head.appendChild(styleBlock);
  } else {
    element.innerHTML = styles;
  }
})();

/**
 * Modal
 */
export const Modal = ({
  visible,
  children,
  close
}) => {
  return /*#__PURE__*/React.createElement("div", {
    className: `modal-overlay ${visible && 'show-modal'}`
  }, /*#__PURE__*/React.createElement("div", {
    className: "modal-block"
  }, /*#__PURE__*/React.createElement("div", {
    className: "modal-content"
  }, /*#__PURE__*/React.createElement("div", {
    className: "modal-close-button"
  }, /*#__PURE__*/React.createElement(Icon, {
    name: "BsX",
    size: "27px",
    color: "inherit",
    onClick: () => {
      close();
    }
  })), /*#__PURE__*/React.createElement("div", {
    className: "modal-inner"
  }, children))));
};
Modal.propTypes = {
  visible: _pt.bool.isRequired,
  close: _pt.func.isRequired
};
//# sourceMappingURL=Modal.js.map