import _pt from "prop-types";
import React from 'react';

(function () {
  const styles = "/*\n* placeholder\n*/\n/* all colors in theme */\n/**\n * Foundation for Sites\n * Version 6.6.3\n * https://get.foundation\n * Licensed under MIT Open Source\n */\n/*\n* [STORYBOOK] Step Progress Bar Component\n*/\n.step-progress-bar-block {\n  position: relative;\n  margin: 0;\n  padding: 0;\n  /* steps :) */\n  /* Step content */ }\n  .step-progress-bar-block .step-progression {\n    position: absolute;\n    left: 1%;\n    right: 1%;\n    top: 50%;\n    transform: translateY(-50%);\n    height: 1.875rem;\n    width: 98%;\n    display: flex;\n    align-items: center;\n    justify-content: flex-start;\n    background-color: #ffacc5; }\n    .step-progress-bar-block .step-progression .step-progression-value {\n      position: absolute;\n      left: 0;\n      top: 0;\n      height: 100%;\n      width: 33%;\n      display: flex;\n      align-items: center;\n      font-size: 0;\n      line-height: 0;\n      background-color: #ff90b2;\n      transition: width 0.3s ease; }\n  .step-progress-bar-block .steps {\n    position: relative;\n    display: flex;\n    align-items: center;\n    justify-content: space-between; }\n    .step-progress-bar-block .steps .step {\n      position: relative;\n      z-index: 1;\n      width: 3.75rem;\n      height: 3.75rem;\n      flex: 0 0 auto; }\n      .step-progress-bar-block .steps .step.is-active .step-icon {\n        background-color: #ff90b2; }\n        .step-progress-bar-block .steps .step.is-active .step-icon svg,\n        .step-progress-bar-block .steps .step.is-active .step-icon .taki-icon {\n          color: #fff !important;\n          fill: #fff !important; }\n      .step-progress-bar-block .steps .step .step-icon {\n        position: absolute;\n        left: 0;\n        top: 0;\n        z-index: 1;\n        width: 3.75rem;\n        height: 3.75rem;\n        border-radius: 50%;\n        background-color: #ffacc5;\n        color: #fff;\n        display: flex;\n        align-items: center;\n        justify-content: center; }\n        .step-progress-bar-block .steps .step .step-icon svg,\n        .step-progress-bar-block .steps .step .step-icon .taki-icon {\n          color: rgba(255, 255, 255, 0.5) !important;\n          fill: rgba(255, 255, 255, 0.5) !important; }\n  .step-progress-bar-block .step-content {\n    position: relative;\n    display: flex;\n    flex-direction: column;\n    align-items: flex-start;\n    justify-content: flex-start;\n    margin-top: 4.75rem;\n    max-width: 5rem; }\n    .step-progress-bar-block .step-content .step-content-icon {\n      width: 3.75rem;\n      display: flex;\n      align-items: center;\n      justify-content: center;\n      margin-bottom: 0.5rem; }\n      .step-progress-bar-block .step-content .step-content-icon svg {\n        margin: 0 auto;\n        width: 1.5625rem !important;\n        height: 1.5625rem !important; }\n    .step-progress-bar-block .step-content .step-content-label {\n      width: 5rem;\n      text-align: center;\n      font-size: 1rem;\n      line-height: 1.25rem;\n      margin-left: -0.625rem; }\n";
  const fileName = "StepProgressBar_StepProgressBar";
  const element = document.querySelector("style[data-sass-component='StepProgressBar_StepProgressBar']");

  if (!element) {
    const styleBlock = document.createElement("style");
    styleBlock.innerHTML = styles;
    styleBlock.setAttribute("data-sass-component", fileName);
    document.head.appendChild(styleBlock);
  } else {
    element.innerHTML = styles;
  }
})();

/**
 * Step Progress Bar Component
 */
export const StepProgressBar = ({
  percent,
  iconCheck,
  iconUncheck,
  steps
}) => {
  const getSafePercent = percentNum => {
    if (percentNum > 100 || percentNum < 70) {
      return 70;
    }

    return Math.min(100, Math.max(percent, 0));
  };

  const safePercent = getSafePercent(percent);
  return /*#__PURE__*/React.createElement("div", {
    className: "step-progress-bar-block"
  }, /*#__PURE__*/React.createElement("div", {
    className: "step-progression"
  }, /*#__PURE__*/React.createElement("div", {
    className: "step-progression-value",
    style: {
      width: `${safePercent}%`
    }
  })), /*#__PURE__*/React.createElement("div", {
    className: "steps"
  }, steps.map(({
    label,
    icon,
    isActive
  }, index) => /*#__PURE__*/React.createElement("div", {
    key: index.toString(),
    className: ['step', isActive ? 'is-active' : ''].join(' ')
  }, /*#__PURE__*/React.createElement("div", {
    className: "step-icon"
  }, isActive ? iconCheck : iconUncheck), /*#__PURE__*/React.createElement("div", {
    className: "step-content"
  }, icon && /*#__PURE__*/React.createElement("div", {
    className: "step-content-icon"
  }, icon), label && /*#__PURE__*/React.createElement("div", {
    className: "step-content-label"
  }, label))))));
};
StepProgressBar.propTypes = {
  percent: _pt.number.isRequired,
  iconCheck: _pt.element.isRequired,
  iconUncheck: _pt.element.isRequired,
  steps: _pt.arrayOf(_pt.shape({
    label: _pt.string.isRequired,
    icon: _pt.element.isRequired,
    isActive: _pt.bool.isRequired
  })).isRequired
};
//# sourceMappingURL=StepProgressBar.js.map