import React from 'react'; // also exported from '@storybook/react' if you can deal with breaking changes in 6.1

import { StepProgressBar } from './StepProgressBar';
import { TakiIcon } from '../TakiIcon/TakiIcon';
import TakiIcons from '../TakiIcon/TakiIcons.svg';
export default {
  title: 'Components/Step Progress Bar',
  component: StepProgressBar
};

const Template = args => /*#__PURE__*/React.createElement(StepProgressBar, args);

export const Default = Template.bind({});
const steps = [{
  label: 'Saiu para a entrega',
  icon: /*#__PURE__*/React.createElement(TakiIcon, {
    svgSprite: TakiIcons,
    name: "produtos",
    color: "inherit",
    size: "25px"
  }),
  isActive: true
}, {
  label: 'A caminho',
  icon: /*#__PURE__*/React.createElement(TakiIcon, {
    svgSprite: TakiIcons,
    name: "delivery",
    color: "inherit",
    size: "25px"
  }),
  isActive: true
}, {
  label: 'Entregue',
  icon: /*#__PURE__*/React.createElement(TakiIcon, {
    svgSprite: TakiIcons,
    name: "entregue",
    color: "inherit",
    size: "25px"
  }),
  isActive: false
}];
Default.args = {
  percent: 80,
  iconCheck: /*#__PURE__*/React.createElement(TakiIcon, {
    svgSprite: TakiIcons,
    name: "check",
    color: "inherit",
    size: "25px"
  }),
  iconUncheck: /*#__PURE__*/React.createElement(TakiIcon, {
    svgSprite: TakiIcons,
    name: "uncheck",
    color: "inherit",
    size: "25px"
  }),
  steps
};
//# sourceMappingURL=index.stories.js.map