import _pt from "prop-types";
import React from 'react';
import { AlertaNumerico } from '../AlertaNumerico/AlertaNumerico';

/**
 * Tab
 */
export const Tab = ({
  title,
  icon,
  orderStatus,
  alertNumber,
  isActive,
  onClick
}) => {
  const onClickHandler = () => {
    if (onClick !== undefined) {
      onClick();
    }
  };

  return /*#__PURE__*/React.createElement("li", {
    className: ['tabs-title', isActive ? 'is-active' : ''].join(' '),
    onClick: onClickHandler,
    role: "presentation"
  }, /*#__PURE__*/React.createElement("div", {
    className: "tabs-button"
  }, icon, /*#__PURE__*/React.createElement("span", null, title), /*#__PURE__*/React.createElement(AlertaNumerico, {
    number: alertNumber,
    customClass: orderStatus ? `status-order-${orderStatus.trim().toLowerCase()}` : 'status-order-none'
  })));
};
Tab.propTypes = {
  title: _pt.string.isRequired,
  icon: _pt.element,
  orderStatus: _pt.string,
  alertNumber: _pt.number.isRequired,
  isActive: _pt.bool,
  onClick: _pt.func
};
//# sourceMappingURL=Tab.js.map