import React from 'react'; // also exported from '@storybook/react' if you can deal with breaking changes in 6.1

import { Tabs } from './Tabs';
import { TakiIcon } from '../TakiIcon/TakiIcon';
import TakiIcons from '../TakiIcon/TakiIcons.svg';
import { Icon } from '../Icon/Icon';
export default {
  title: 'Components/Tabs',
  component: Tabs
};

const Template = args => /*#__PURE__*/React.createElement(Tabs, args);

export const Default = Template.bind({});
Default.args = {
  tabsListItens: [{
    title: 'Todos',
    icon: /*#__PURE__*/React.createElement(TakiIcon, {
      svgSprite: TakiIcons,
      name: "pedidos",
      color: "inherit",
      size: "19px"
    }),
    isActive: true,
    alertNumber: 0
  }, {
    title: 'Em Preparo',
    icon: /*#__PURE__*/React.createElement(TakiIcon, {
      svgSprite: TakiIcons,
      name: "preparo",
      color: "inherit",
      size: "19px"
    }),
    alertNumber: Math.floor(Math.random() * 100),
    orderStatus: 'preparo'
  }, {
    title: 'Esperando Entrega',
    icon: /*#__PURE__*/React.createElement(TakiIcon, {
      svgSprite: TakiIcons,
      name: "entregue",
      color: "inherit",
      size: "19px"
    }),
    alertNumber: Math.floor(Math.random() * 100),
    orderStatus: 'esperando'
  }, {
    title: 'Saiu para Entrega',
    icon: /*#__PURE__*/React.createElement(TakiIcon, {
      svgSprite: TakiIcons,
      name: "delivery",
      color: "inherit",
      size: "19px"
    }),
    alertNumber: Math.floor(Math.random() * 100),
    orderStatus: 'saiu'
  }, {
    title: 'Retirar na Loja',
    icon: /*#__PURE__*/React.createElement(TakiIcon, {
      svgSprite: TakiIcons,
      name: "loja",
      color: "inherit",
      size: "19px"
    }),
    alertNumber: Math.floor(Math.random() * 100),
    orderStatus: 'retirar'
  }, {
    title: 'Agendados',
    icon: /*#__PURE__*/React.createElement(Icon, {
      name: "BsCalendar",
      color: "inherit",
      size: "19px"
    }),
    alertNumber: Math.floor(Math.random() * 100),
    orderStatus: 'agendado'
  }]
};
//# sourceMappingURL=index.stories.js.map