import _pt from "prop-types";
import React from 'react';

(function () {
  const styles = ".taki-icon {\n  height: 32px;\n  width: 32px;\n  display: inline-block;\n  fill: #495057 !important;\n  color: #495057 !important; }\n";
  const fileName = "TakiIcon_TakiIcon";
  const element = document.querySelector("style[data-sass-component='TakiIcon_TakiIcon']");

  if (!element) {
    const styleBlock = document.createElement("style");
    styleBlock.innerHTML = styles;
    styleBlock.setAttribute("data-sass-component", fileName);
    document.head.appendChild(styleBlock);
  } else {
    element.innerHTML = styles;
  }
})();

/**
 * TakiIcon component -
 */
export const TakiIcon = ({
  name = 'entregue',
  svgSprite,
  size = '20px',
  color = '#495057',
  onClick,
  onHover
}) => {
  return /*#__PURE__*/React.createElement("svg", {
    strokeWidth: "0",
    onClick: onClick,
    onMouseEnter: onHover,
    className: `taki-icon icon-${name}`,
    style: {
      fill: color,
      width: size,
      height: size
    }
  }, /*#__PURE__*/React.createElement("use", {
    href: `${svgSprite}#${name}`
  }));
};
TakiIcon.propTypes = {
  svgSprite: _pt.string.isRequired,
  size: _pt.string.isRequired,
  name: _pt.string.isRequired,
  color: _pt.string.isRequired,
  onHover: _pt.func,
  onClick: _pt.func
};
//# sourceMappingURL=TakiIcon.js.map