import React, { ButtonHTMLAttributes } from 'react';
import './Button.scss';
import 'react-loader-spinner/dist/loader/css/react-spinner-loader.css';
export interface ButtonProps extends ButtonHTMLAttributes<HTMLButtonElement> {
    label: string;
    iconName?: string;
    width?: string;
    backgroundColor?: string;
    reverse?: boolean;
    disabled?: boolean;
    loading?: boolean;
    action?: boolean;
    size?: 'small' | 'medium' | 'large';
    onClick?: () => void;
    onHover?: () => void;
}
/**
 * Primary UI component for user interaction
 */
export declare const Button: React.FC<ButtonProps>;
