"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Icon = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _reactIcons = require("react-icons");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

(function () {
  var styles = ".storybook-icon {\n  padding: 0;\n  margin: 0; }\n";
  var fileName = "Icon_Icon";
  var element = document.querySelector("style[data-sass-component='Icon_Icon']");

  if (!element) {
    var styleBlock = document.createElement("style");
    styleBlock.innerHTML = styles;
    styleBlock.setAttribute("data-sass-component", fileName);
    document.head.appendChild(styleBlock);
  } else {
    element.innerHTML = styles;
  }
})();

/**
 * Icon component -
 * Avaliable icons in
 * https://react-icons.github.io/react-icons/icons?name=bs
 */
var Icon = function Icon(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? '25px' : _ref$size,
      name = _ref.name,
      _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'inherit' : _ref$color,
      onClick = _ref.onClick,
      onHover = _ref.onHover;

  // eslint-disable-next-line global-require
  var SelectedIcon = require("react-icons/bs")[name];

  if (!SelectedIcon) {
    // eslint-disable-next-line global-require
    SelectedIcon = require("react-icons/bs").BsXCircleFill;
  }

  return /*#__PURE__*/_react.default.createElement(_reactIcons.IconContext.Provider, {
    value: {
      color: color,
      size: size
    }
  }, /*#__PURE__*/_react.default.createElement(SelectedIcon, {
    onClick: onClick,
    onMouseEnter: onHover
  }));
};

exports.Icon = Icon;
Icon.propTypes = {
  size: _propTypes.default.string.isRequired,
  name: _propTypes.default.string.isRequired,
  color: _propTypes.default.string.isRequired,
  onHover: _propTypes.default.func,
  onClick: _propTypes.default.func
};
//# sourceMappingURL=Icon.js.map