"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Input = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _Icon = require("../Icon/Icon");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

(function () {
  var styles = "/*\n* placeholder\n*/\n/* all colors in theme */\n/**\n * Foundation for Sites\n * Version 6.6.3\n * https://get.foundation\n * Licensed under MIT Open Source\n */\n/*\n* [STORYBOOK] Componente de Input\n*/\n.inputContent {\n  position: relative;\n  display: flex;\n  flex-direction: column;\n  font-size: 1rem;\n  word-wrap: break-word;\n  width: auto;\n  max-width: 23.4375rem; }\n  .inputContent.has-sufix .right-icon,\n  .inputContent.has-sufix .input-icon {\n    right: 2.5rem; }\n  .inputContent.show-success .input-prefix,\n  .inputContent.show-success .input-sufix {\n    border-color: rgba(132, 193, 77, 0.85); }\n  .inputContent.show-success .input {\n    border-color: rgba(132, 193, 77, 0.85);\n    color: rgba(132, 193, 77, 0.85); }\n  .inputContent.show-success .right-icon {\n    color: rgba(132, 193, 77, 0.85); }\n  .inputContent.show-error .input-prefix,\n  .inputContent.show-error .input-sufix {\n    border-color: rgba(255, 85, 74, 0.86); }\n  .inputContent.show-error .input {\n    border-color: rgba(255, 85, 74, 0.86);\n    color: rgba(255, 85, 74, 0.86); }\n  .inputContent.show-error .right-icon {\n    color: rgba(255, 85, 74, 0.86); }\n\n.input-label {\n  position: relative;\n  font-weight: 700;\n  margin: 0 0 0.625rem 0.3125rem;\n  display: block; }\n\n.input {\n  border: 1px solid #c4c4c4;\n  border-radius: 10px;\n  height: 3.125rem;\n  line-height: 1.2;\n  font-size: 1rem;\n  padding: 0 2.5rem 0 1.25rem;\n  flex: 1; }\n  .input:focus {\n    border: 1px solid #b8b8b8;\n    outline: none; }\n  .input::placeholder {\n    color: #c4c4c4; }\n\n.input-error {\n  border: 1px solid rgba(255, 85, 74, 0.86);\n  color: rgba(255, 85, 74, 0.86); }\n  .input-error:focus {\n    border: 1px solid rgba(255, 85, 74, 0.86);\n    outline: none; }\n\n.input-success {\n  border: 1px solid rgba(132, 193, 77, 0.85);\n  color: rgba(132, 193, 77, 0.85); }\n  .input-success:focus {\n    border: 1px solid rgba(132, 193, 77, 0.85);\n    outline: none; }\n\n.right-icon {\n  position: absolute;\n  top: 0;\n  right: 0;\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  padding: 0 0.625rem;\n  color: #c4c4c4;\n  flex: 0 0 auto;\n  width: 2.5rem;\n  height: 100%; }\n\n.input-group {\n  position: relative;\n  display: flex;\n  align-items: stretch;\n  width: 100%; }\n  .input-group .input-icon {\n    position: absolute;\n    top: 0;\n    right: 0;\n    display: flex;\n    align-items: center;\n    justify-content: center;\n    padding: 0 0.625rem;\n    color: #c4c4c4;\n    flex: 0 0 auto;\n    width: 2.5rem;\n    height: 100%; }\n  .input-group .input-prefix,\n  .input-group .input-sufix {\n    background-color: #e9ecef;\n    color: #495057;\n    flex: 0 0 auto;\n    display: flex;\n    align-items: center;\n    justify-content: center;\n    font-weight: 700;\n    position: relative;\n    z-index: 2;\n    padding: 0 0.625rem;\n    width: 2.5rem;\n    overflow: hidden; }\n  .input-group .input-prefix {\n    border-radius: 10px 0 0 10px;\n    margin-right: -7px;\n    border: 1px solid #c4c4c4;\n    border-right: 0; }\n  .input-group .input-sufix {\n    border-radius: 0 10px 10px 0;\n    margin-left: -7px;\n    border: 1px solid #c4c4c4;\n    border-left: 0; }\n";
  var fileName = "Input_Input";
  var element = document.querySelector("style[data-sass-component='Input_Input']");

  if (!element) {
    var styleBlock = document.createElement("style");
    styleBlock.innerHTML = styles;
    styleBlock.setAttribute("data-sass-component", fileName);
    document.head.appendChild(styleBlock);
  } else {
    element.innerHTML = styles;
  }
})();

/**
 * Input component
 */
var Input = /*#__PURE__*/_react.default.forwardRef(function (_ref, ref) {
  var label = _ref.label,
      _ref$inputID = _ref.inputID,
      inputID = _ref$inputID === void 0 ? "input-".concat(Math.floor(Math.random() * 100)) : _ref$inputID,
      icon = _ref.icon,
      error = _ref.error,
      success = _ref.success,
      iconClick = _ref.iconClick,
      placeholder = _ref.placeholder,
      prefix = _ref.prefix,
      sufix = _ref.sufix,
      props = _objectWithoutProperties(_ref, ["label", "inputID", "icon", "error", "success", "iconClick", "placeholder", "prefix", "sufix"]);

  var styles = "input ".concat(error ? 'input-error' : '', " ").concat(success ? 'input-success' : '');
  var hasError = error ? "show-error" : '';
  var hasSuccess = success ? "show-success" : '';
  var hasPrefix = prefix ? "has-prefix" : '';
  var hasSufix = sufix ? "has-sufix" : '';
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("div", {
    className: ['inputContent', hasError, hasSuccess, hasPrefix, hasSufix].join(' ')
  }, label && /*#__PURE__*/_react.default.createElement("label", {
    htmlFor: inputID,
    className: "input-label"
  }, label), /*#__PURE__*/_react.default.createElement("div", {
    className: "input-group"
  }, prefix && /*#__PURE__*/_react.default.createElement("div", {
    className: "input-prefix"
  }, prefix.slice(0, 2)), /*#__PURE__*/_react.default.createElement("input", _extends({
    ref: ref,
    placeholder: placeholder || '',
    id: inputID,
    className: styles
  }, props)), sufix && /*#__PURE__*/_react.default.createElement("div", {
    className: "input-sufix"
  }, sufix.slice(0, 2)), !error && !success && icon && /*#__PURE__*/_react.default.createElement("div", {
    className: "input-icon"
  }, /*#__PURE__*/_react.default.createElement(_Icon.Icon, {
    name: icon,
    onClick: iconClick,
    color: "inherit",
    size: "24px"
  })), error && /*#__PURE__*/_react.default.createElement("div", {
    className: "right-icon"
  }, /*#__PURE__*/_react.default.createElement(_Icon.Icon, {
    name: "BsXCircleFill",
    onClick: iconClick,
    color: "inherit",
    size: "24px"
  })), success && /*#__PURE__*/_react.default.createElement("div", {
    className: "right-icon"
  }, /*#__PURE__*/_react.default.createElement(_Icon.Icon, {
    name: "BsCheck",
    onClick: iconClick,
    color: "inherit",
    size: "24px"
  })))));
});

exports.Input = Input;
Input.propTypes = {
  label: _propTypes.default.string,
  inputID: _propTypes.default.string,
  icon: _propTypes.default.string,
  error: _propTypes.default.bool,
  success: _propTypes.default.bool,
  prefix: _propTypes.default.string,
  sufix: _propTypes.default.string,
  iconClick: _propTypes.default.func
};
//# sourceMappingURL=Input.js.map