"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ModalLateral = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _Icon = require("../Icon/Icon");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

(function () {
  var styles = "/*\n* placeholder\n*/\n/* all colors in theme */\n/**\n * Foundation for Sites\n * Version 6.6.3\n * https://get.foundation\n * Licensed under MIT Open Source\n */\n/* Modal Lateral */\n.modal-lateral-overlay {\n  background: rgba(0, 0, 0, 0.6);\n  inset: 0;\n  pointer-events: none;\n  position: fixed;\n  overflow: hidden;\n  overflow-x: hidden;\n  overflow-y: auto;\n  touch-action: auto;\n  z-index: 500;\n  transition: all 0.2s cubic-bezier(0.23, 1, 0.32, 1) 0s;\n  opacity: 0;\n  transform: translate3d(0, -5px, 0);\n  top: 0;\n  left: 0;\n  right: 0;\n  bottom: 0; }\n  .modal-lateral-overlay.show-modal {\n    pointer-events: initial;\n    opacity: 1;\n    transition: opacity 0.8s;\n    transition-timing-function: cubic-bezier(0.7, 0, 0.3, 1);\n    transform: translate3d(0, 0, 0); }\n    .modal-lateral-overlay.show-modal .modal-lateral-block {\n      visibility: visible;\n      opacity: 1;\n      pointer-events: auto;\n      transform: translate3d(0, 0, 0);\n      min-height: 100vh; }\n    .modal-lateral-overlay.show-modal .modal-lateral-content {\n      pointer-events: auto; }\n  .modal-lateral-overlay .modal-lateral-close-button {\n    color: #ff90b2;\n    line-height: 1;\n    position: relative;\n    margin-left: auto;\n    text-align: right;\n    margin-bottom: 0.5rem; }\n    .modal-lateral-overlay .modal-lateral-close-button svg {\n      cursor: pointer; }\n  .modal-lateral-overlay .modal-lateral-block {\n    max-width: 45rem;\n    height: auto;\n    z-index: 510;\n    pointer-events: none;\n    opacity: 0;\n    padding: 0;\n    left: auto;\n    bottom: auto;\n    right: 0;\n    top: 0;\n    position: absolute;\n    transition: all 0.5s cubic-bezier(0.23, 1, 0.32, 1) 0.25s;\n    transform: translate3d(100%, 0, 0); }\n  .modal-lateral-overlay .modal-lateral-content {\n    min-height: 100vh;\n    background-color: #fff;\n    outline: 0;\n    pointer-events: none;\n    border-radius: 10px 0 0 10px;\n    padding: 1.5rem;\n    display: flex;\n    align-items: center;\n    justify-content: center;\n    flex-direction: column;\n    max-width: 53.125rem; }\n  .modal-lateral-overlay .modal-lateral-inner {\n    position: relative;\n    width: 100%;\n    flex: 0 0 auto; }\n";
  var fileName = "ModalLateral_ModalLateral";
  var element = document.querySelector("style[data-sass-component='ModalLateral_ModalLateral']");

  if (!element) {
    var styleBlock = document.createElement("style");
    styleBlock.innerHTML = styles;
    styleBlock.setAttribute("data-sass-component", fileName);
    document.head.appendChild(styleBlock);
  } else {
    element.innerHTML = styles;
  }
})();

/**
 * Modal Lateral
 */
var ModalLateral = function ModalLateral(_ref) {
  var visible = _ref.visible,
      children = _ref.children,
      close = _ref.close;

  if (!children) {
    return null;
  }

  var handleClose = function handleClose() {
    if (close !== undefined) {
      close();
    }
  };

  return /*#__PURE__*/_react.default.createElement("div", {
    className: "modal-lateral-overlay ".concat(visible && 'show-modal')
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "modal-lateral-block"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "modal-lateral-content"
  }, close !== undefined && /*#__PURE__*/_react.default.createElement("div", {
    className: "modal-lateral-close-button"
  }, /*#__PURE__*/_react.default.createElement(_Icon.Icon, {
    name: "BsX",
    size: "27px",
    color: "inherit",
    onClick: handleClose
  })), /*#__PURE__*/_react.default.createElement("div", {
    className: "modal-lateral-inner"
  }, children))));
};

exports.ModalLateral = ModalLateral;
ModalLateral.propTypes = {
  visible: _propTypes.default.bool.isRequired,
  close: _propTypes.default.func
};
//# sourceMappingURL=ModalLateral.js.map