"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Tab = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _AlertaNumerico = require("../AlertaNumerico/AlertaNumerico");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Tab
 */
var Tab = function Tab(_ref) {
  var title = _ref.title,
      icon = _ref.icon,
      orderStatus = _ref.orderStatus,
      alertNumber = _ref.alertNumber,
      isActive = _ref.isActive,
      onClick = _ref.onClick;

  var onClickHandler = function onClickHandler() {
    if (onClick !== undefined) {
      onClick();
    }
  };

  return /*#__PURE__*/_react.default.createElement("li", {
    className: ['tabs-title', isActive ? 'is-active' : ''].join(' '),
    onClick: onClickHandler,
    role: "presentation"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "tabs-button"
  }, icon, /*#__PURE__*/_react.default.createElement("span", null, title), /*#__PURE__*/_react.default.createElement(_AlertaNumerico.AlertaNumerico, {
    number: alertNumber,
    customClass: orderStatus ? "status-order-".concat(orderStatus.trim().toLowerCase()) : 'status-order-none'
  })));
};

exports.Tab = Tab;
Tab.propTypes = {
  title: _propTypes.default.string.isRequired,
  icon: _propTypes.default.element,
  orderStatus: _propTypes.default.string,
  alertNumber: _propTypes.default.number.isRequired,
  isActive: _propTypes.default.bool,
  onClick: _propTypes.default.func
};
//# sourceMappingURL=Tab.js.map