"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TakiIcon = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

(function () {
  var styles = ".taki-icon {\n  height: 32px;\n  width: 32px;\n  display: inline-block;\n  fill: #495057 !important;\n  color: #495057 !important; }\n";
  var fileName = "TakiIcon_TakiIcon";
  var element = document.querySelector("style[data-sass-component='TakiIcon_TakiIcon']");

  if (!element) {
    var styleBlock = document.createElement("style");
    styleBlock.innerHTML = styles;
    styleBlock.setAttribute("data-sass-component", fileName);
    document.head.appendChild(styleBlock);
  } else {
    element.innerHTML = styles;
  }
})();

/**
 * TakiIcon component -
 */
var TakiIcon = function TakiIcon(_ref) {
  var _ref$name = _ref.name,
      name = _ref$name === void 0 ? 'entregue' : _ref$name,
      svgSprite = _ref.svgSprite,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? '20px' : _ref$size,
      _ref$color = _ref.color,
      color = _ref$color === void 0 ? '#495057' : _ref$color,
      onClick = _ref.onClick,
      onHover = _ref.onHover;
  return /*#__PURE__*/_react.default.createElement("svg", {
    strokeWidth: "0",
    onClick: onClick,
    onMouseEnter: onHover,
    className: "taki-icon icon-".concat(name),
    style: {
      fill: color,
      width: size,
      height: size
    }
  }, /*#__PURE__*/_react.default.createElement("use", {
    href: "".concat(svgSprite, "#").concat(name)
  }));
};

exports.TakiIcon = TakiIcon;
TakiIcon.propTypes = {
  svgSprite: _propTypes.default.string.isRequired,
  size: _propTypes.default.string.isRequired,
  name: _propTypes.default.string.isRequired,
  color: _propTypes.default.string.isRequired,
  onHover: _propTypes.default.func,
  onClick: _propTypes.default.func
};
//# sourceMappingURL=TakiIcon.js.map