"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TextArea = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _Icon = require("../Icon/Icon");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

(function () {
  var styles = "/*\n* placeholder\n*/\n/* all colors in theme */\n/**\n * Foundation for Sites\n * Version 6.6.3\n * https://get.foundation\n * Licensed under MIT Open Source\n */\n/*\n* [STORYBOOK] Componente de TextArea\n*/\n.textareaContent {\n  position: relative;\n  display: flex;\n  flex-direction: column;\n  font-size: 1rem;\n  line-height: 1;\n  word-wrap: break-word;\n  width: auto;\n  max-width: 100%; }\n  .textareaContent.show-success .textarea {\n    border-color: rgba(132, 193, 77, 0.85);\n    color: rgba(132, 193, 77, 0.85); }\n  .textareaContent.show-success .textarea-icon {\n    color: rgba(132, 193, 77, 0.85); }\n  .textareaContent.show-error .textarea {\n    border-color: rgba(255, 85, 74, 0.86);\n    color: rgba(255, 85, 74, 0.86); }\n  .textareaContent.show-error .textarea-icon {\n    color: rgba(255, 85, 74, 0.86); }\n\n.textarea-label {\n  position: relative;\n  font-weight: 700;\n  margin: 0 0 0.625rem 0.3125rem;\n  display: block; }\n\n.textarea {\n  border: 1px solid #c4c4c4;\n  border-radius: 10px;\n  height: auto;\n  line-height: 1.4;\n  font-size: 1rem;\n  padding: 1.25rem 2.5rem 1.25rem 1.25rem;\n  flex: 1; }\n  .textarea:focus {\n    border: 1px solid #b8b8b8;\n    outline: none; }\n  .textarea::placeholder {\n    color: #c4c4c4; }\n\n.textarea-error {\n  border: 1px solid rgba(255, 85, 74, 0.86);\n  color: rgba(255, 85, 74, 0.86); }\n  .textarea-error:focus {\n    border: 1px solid rgba(255, 85, 74, 0.86);\n    outline: none; }\n\n.textarea-success {\n  border: 1px solid rgba(132, 193, 77, 0.85);\n  color: rgba(132, 193, 77, 0.85); }\n  .textarea-success:focus {\n    border: 1px solid rgba(132, 193, 77, 0.85);\n    outline: none; }\n\n.textarea-icon {\n  position: absolute;\n  top: 0;\n  right: 0;\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  color: #c4c4c4;\n  flex: 0 0 auto;\n  width: 2.5rem;\n  height: 100%;\n  pointer-events: none; }\n\n.textarea-group {\n  position: relative;\n  display: flex;\n  align-items: stretch;\n  width: 100%; }\n";
  var fileName = "TextArea_TextArea";
  var element = document.querySelector("style[data-sass-component='TextArea_TextArea']");

  if (!element) {
    var styleBlock = document.createElement("style");
    styleBlock.innerHTML = styles;
    styleBlock.setAttribute("data-sass-component", fileName);
    document.head.appendChild(styleBlock);
  } else {
    element.innerHTML = styles;
  }
})();

/**
 * TextArea component
 */
var TextArea = /*#__PURE__*/_react.default.forwardRef(function (_ref, ref) {
  var label = _ref.label,
      _ref$textareaID = _ref.textareaID,
      textareaID = _ref$textareaID === void 0 ? "textarea-".concat(Math.floor(Math.random() * 100)) : _ref$textareaID,
      error = _ref.error,
      success = _ref.success,
      placeholder = _ref.placeholder,
      props = _objectWithoutProperties(_ref, ["label", "textareaID", "error", "success", "placeholder"]);

  var classNames = "textarea ".concat(error ? 'textarea-error' : '', " ").concat(success ? 'textarea-success' : '');
  var hasError = error ? "show-error" : '';
  var hasSuccess = success ? "show-success" : '';
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("div", {
    className: ['textareaContent', hasError, hasSuccess].join(' ')
  }, label && /*#__PURE__*/_react.default.createElement("label", {
    htmlFor: textareaID,
    className: "textarea-label"
  }, label), /*#__PURE__*/_react.default.createElement("div", {
    className: "textarea-group"
  }, /*#__PURE__*/_react.default.createElement("textarea", _extends({
    id: textareaID,
    className: classNames,
    placeholder: placeholder || '',
    ref: ref
  }, props)), error && /*#__PURE__*/_react.default.createElement("div", {
    className: "textarea-icon"
  }, /*#__PURE__*/_react.default.createElement(_Icon.Icon, {
    name: "BsXCircleFill",
    color: "inherit",
    size: "24px"
  })), success && /*#__PURE__*/_react.default.createElement("div", {
    className: "textarea-icon"
  }, /*#__PURE__*/_react.default.createElement(_Icon.Icon, {
    name: "BsCheck",
    color: "inherit",
    size: "24px"
  })))));
});

exports.TextArea = TextArea;
TextArea.propTypes = {
  label: _propTypes.default.string,
  textareaID: _propTypes.default.string,
  error: _propTypes.default.bool,
  success: _propTypes.default.bool
};
//# sourceMappingURL=TextArea.js.map