(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "react", "./Button"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("react"), require("./Button"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.react, global.Button);
    global.undefined = mod.exports;
  }
})(this, function (exports, _react, _Button) {
  "use strict";

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.Large = exports.Medium = exports.Small = exports.WithIcon = exports.Reverse = exports.Default = undefined;

  var _react2 = _interopRequireDefault(_react);

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }

  exports.default = {
    title: 'Components/Button',
    component: _Button.Button,
    argTypes: {
      backgroundColor: {
        control: 'color'
      }
    }
  };

  const Template = args => /*#__PURE__*/_react2.default.createElement(_Button.Button, args);

  const Default = exports.Default = Template.bind({});
  Default.args = {
    label: 'Button'
  };
  const Reverse = exports.Reverse = Template.bind({});
  Reverse.args = {
    reverse: true,
    label: 'Reverse'
  };
  const WithIcon = exports.WithIcon = Template.bind({});
  WithIcon.args = {
    label: 'With icon',
    iconName: 'BsSearch'
  };
  const Small = exports.Small = Template.bind({});
  Small.args = {
    size: 'small',
    label: 'Small'
  };
  const Medium = exports.Medium = Template.bind({});
  Medium.args = {
    size: 'medium',
    label: 'Medium'
  };
  const Large = exports.Large = Template.bind({});
  Large.args = {
    size: 'large',
    label: 'Large'
  };
});
//# sourceMappingURL=index.stories.js.map