(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "prop-types", "react", "react-icons"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("prop-types"), require("react"), require("react-icons"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.propTypes, global.react, global.reactIcons);
    global.undefined = mod.exports;
  }
})(this, function (exports, _propTypes, _react, _reactIcons) {
  "use strict";

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.Icon = undefined;

  var _propTypes2 = _interopRequireDefault(_propTypes);

  var _react2 = _interopRequireDefault(_react);

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }

  (function () {
    const styles = ".storybook-icon {\n  padding: 0;\n  margin: 0; }\n";
    const fileName = "Icon_Icon";
    const element = document.querySelector("style[data-sass-component='Icon_Icon']");

    if (!element) {
      const styleBlock = document.createElement("style");
      styleBlock.innerHTML = styles;
      styleBlock.setAttribute("data-sass-component", fileName);
      document.head.appendChild(styleBlock);
    } else {
      element.innerHTML = styles;
    }
  })();
  /**
   * Icon component -
   * Avaliable icons in
   * https://react-icons.github.io/react-icons/icons?name=bs
   */


  const Icon = exports.Icon = ({
    size = '25px',
    name,
    color = 'inherit',
    onClick,
    onHover
  }) => {
    // eslint-disable-next-line global-require
    let SelectedIcon = require(`react-icons/bs`)[name];

    if (!SelectedIcon) {
      // eslint-disable-next-line global-require
      SelectedIcon = require(`react-icons/bs`).BsXCircleFill;
    }

    return /*#__PURE__*/_react2.default.createElement(_reactIcons.IconContext.Provider, {
      value: {
        color,
        size
      }
    }, /*#__PURE__*/_react2.default.createElement(SelectedIcon, {
      onClick: onClick,
      onMouseEnter: onHover
    }));
  };

  Icon.propTypes = {
    size: _propTypes2.default.string.isRequired,
    name: _propTypes2.default.string.isRequired,
    color: _propTypes2.default.string.isRequired,
    onHover: _propTypes2.default.func,
    onClick: _propTypes2.default.func
  };
});
//# sourceMappingURL=Icon.js.map