(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "prop-types", "react", "../Input/Input", "react-loader-spinner/dist/loader/css/react-spinner-loader.css"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("prop-types"), require("react"), require("../Input/Input"), require("react-loader-spinner/dist/loader/css/react-spinner-loader.css"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.propTypes, global.react, global.Input, global.reactSpinnerLoader);
    global.undefined = mod.exports;
  }
})(this, function (exports, _propTypes, _react, _Input) {
  "use strict";

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.InputNumeric = undefined;

  var _propTypes2 = _interopRequireDefault(_propTypes);

  var _react2 = _interopRequireDefault(_react);

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }

  /* eslint-disable react/jsx-curly-newline */
  (function () {
    const styles = "/*\n* placeholder\n*/\n/* all colors in theme */\n/**\n * Foundation for Sites\n * Version 6.6.3\n * https://get.foundation\n * Licensed under MIT Open Source\n */\n/**\n* [STORYBOOK] Componente InputNumeric\n*/\n.input-group-counter {\n  display: flex;\n  align-items: stretch;\n  justify-content: space-between;\n  border: 1px solid rgba(142, 142, 142, 0.5);\n  border-radius: 10px; }\n  .input-group-counter .input-group-counter-field {\n    width: 50%; }\n    .input-group-counter .input-group-counter-field .inputContent {\n      padding: 0;\n      margin: 0;\n      min-width: 100%;\n      max-width: 100%;\n      width: 100%; }\n      .input-group-counter .input-group-counter-field .inputContent .input {\n        min-width: 100%;\n        max-width: 100%;\n        width: 100%;\n        border: 0;\n        border-radius: 0;\n        text-align: center;\n        padding: 0;\n        margin: 0; }\n        .input-group-counter .input-group-counter-field .inputContent .input::-webkit-inner-spin-button,\n        .input-group-counter .input-group-counter-field .inputContent .input ::-webkit-outer-spin-button {\n          appearance: none; }\n  .input-group-counter .input-group-counter-button {\n    position: relative;\n    width: 25%;\n    color: #ff90b2;\n    display: flex;\n    align-items: center;\n    justify-content: center;\n    overflow: hidden; }\n    .input-group-counter .input-group-counter-button .button-hollow {\n      color: #ff90b2;\n      font-weight: 700;\n      font-size: 1.5rem;\n      line-height: 1;\n      position: relative;\n      width: 100%;\n      height: 100%;\n      cursor: pointer; }\n  .input-group-counter .input-group-counter {\n    text-align: center;\n    padding: 0;\n    margin: 0; }\n  .input-group-counter .inputContent {\n    padding: 0;\n    margin: 0; }\n    .input-group-counter .inputContent .input {\n      border: 0;\n      border-radius: 0;\n      text-align: center;\n      padding: 0;\n      margin: 0; }\n      .input-group-counter .inputContent .input::-webkit-inner-spin-button,\n      .input-group-counter .inputContent .input ::-webkit-outer-spin-button {\n        appearance: none; }\n\n.form-row-item {\n  position: relative;\n  margin-bottom: 2.5rem; }\n  .form-row-item .form-row-label {\n    font-size: 1rem;\n    position: relative;\n    font-weight: 700;\n    margin: 0 0 0.625rem 0.3125rem;\n    display: block; }\n  .form-row-item .form-row-label-help {\n    display: inline-block;\n    font-weight: 400;\n    font-size: 0.875rem;\n    line-height: 1; }\n  .form-row-item .form-row-input {\n    position: relative; }\n";
    const fileName = "InputNumeric_InputNumeric";
    const element = document.querySelector("style[data-sass-component='InputNumeric_InputNumeric']");

    if (!element) {
      const styleBlock = document.createElement("style");
      styleBlock.innerHTML = styles;
      styleBlock.setAttribute("data-sass-component", fileName);
      document.head.appendChild(styleBlock);
    } else {
      element.innerHTML = styles;
    }
  })();

  /**
   * InputNumeric
   */
  const InputNumeric = exports.InputNumeric = ({
    label,
    min,
    max,
    value,
    onChange
  }) => {
    const [inputValue, setInputValue] = (0, _react.useState)(value);
    return /*#__PURE__*/_react2.default.createElement("div", {
      className: "form-row-item"
    }, label && /*#__PURE__*/_react2.default.createElement("div", {
      className: "form-row-label"
    }, label), /*#__PURE__*/_react2.default.createElement("div", {
      className: "input-group-counter border"
    }, /*#__PURE__*/_react2.default.createElement("div", {
      className: "input-group-counter-button"
    }, /*#__PURE__*/_react2.default.createElement("button", {
      type: "button",
      className: "button-hollow",
      onClick: () => setInputValue(prevCount => prevCount <= min ? min : prevCount - 1)
    }, "-")), /*#__PURE__*/_react2.default.createElement("div", {
      className: "input-group-counter-field"
    }, /*#__PURE__*/_react2.default.createElement(_Input.Input, {
      type: "number",
      value: inputValue,
      onChange: onChange
    })), /*#__PURE__*/_react2.default.createElement("div", {
      className: "input-group-counter-button"
    }, /*#__PURE__*/_react2.default.createElement("button", {
      type: "button",
      className: "button-hollow",
      onClick: () => setInputValue(prevCount => prevCount >= max ? max : prevCount + 1)
    }, "+"))));
  };

  InputNumeric.propTypes = {
    label: _propTypes2.default.string,
    min: _propTypes2.default.number.isRequired,
    max: _propTypes2.default.number.isRequired,
    value: _propTypes2.default.number.isRequired,
    onChange: _propTypes2.default.func
  };
});
//# sourceMappingURL=InputNumeric.js.map