(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "prop-types", "react", "../AlertaNumerico/AlertaNumerico"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("prop-types"), require("react"), require("../AlertaNumerico/AlertaNumerico"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.propTypes, global.react, global.AlertaNumerico);
    global.undefined = mod.exports;
  }
})(this, function (exports, _propTypes, _react, _AlertaNumerico) {
  "use strict";

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.List = undefined;

  var _propTypes2 = _interopRequireDefault(_propTypes);

  var _react2 = _interopRequireDefault(_react);

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }

  function _extends() {
    _extends = Object.assign || function (target) {
      for (var i = 1; i < arguments.length; i++) {
        var source = arguments[i];

        for (var key in source) {
          if (Object.prototype.hasOwnProperty.call(source, key)) {
            target[key] = source[key];
          }
        }
      }

      return target;
    };

    return _extends.apply(this, arguments);
  }

  function _objectWithoutProperties(source, excluded) {
    if (source == null) return {};

    var target = _objectWithoutPropertiesLoose(source, excluded);

    var key, i;

    if (Object.getOwnPropertySymbols) {
      var sourceSymbolKeys = Object.getOwnPropertySymbols(source);

      for (i = 0; i < sourceSymbolKeys.length; i++) {
        key = sourceSymbolKeys[i];
        if (excluded.indexOf(key) >= 0) continue;
        if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;
        target[key] = source[key];
      }
    }

    return target;
  }

  function _objectWithoutPropertiesLoose(source, excluded) {
    if (source == null) return {};
    var target = {};
    var sourceKeys = Object.keys(source);
    var key, i;

    for (i = 0; i < sourceKeys.length; i++) {
      key = sourceKeys[i];
      if (excluded.indexOf(key) >= 0) continue;
      target[key] = source[key];
    }

    return target;
  }

  (function () {
    const styles = "/*\n* placeholder\n*/\n/* all colors in theme */\n/**\n * Foundation for Sites\n * Version 6.6.3\n * https://get.foundation\n * Licensed under MIT Open Source\n */\n/**\n* [STORYBOOK] Componente List\n*/\n.list-wrap {\n  position: relative;\n  background-color: #fff;\n  max-width: 17.8125rem;\n  border: 1px solid #e9ecef;\n  overflow: hidden; }\n\n.menu-list {\n  margin: 0;\n  padding: 0;\n  list-style: none;\n  transition: 0.5s; }\n  .menu-list > .menu-list-item {\n    position: relative; }\n    .menu-list > .menu-list-item:last-child > .menu-list-button {\n      border-bottom: 0; }\n    .menu-list > .menu-list-item:hover {\n      background-color: rgba(233, 236, 239, 0.2); }\n      .menu-list > .menu-list-item:hover .menu-list-button {\n        color: #495057; }\n    .menu-list > .menu-list-item.is-active {\n      background-color: rgba(233, 236, 239, 0.2); }\n      .menu-list > .menu-list-item.is-active .menu-list-button {\n        color: #ff90b2; }\n\n/* */\n.menu-list-button {\n  display: flex;\n  align-items: center;\n  justify-content: flex-start;\n  font-size: 1rem;\n  line-height: 1;\n  color: #495057;\n  border-bottom: 1px solid rgba(221, 221, 221, 0.3);\n  height: 3.5rem;\n  text-decoration: none;\n  margin: 0 auto;\n  width: calc(100% - 30px);\n  padding: 0 1.875rem; }\n  .menu-list-button > svg {\n    margin-right: 1rem; }\n  .menu-list-button > .alerta-numerico {\n    margin-left: 0.5rem; }\n";
    const fileName = "List_List";
    const element = document.querySelector("style[data-sass-component='List_List']");

    if (!element) {
      const styleBlock = document.createElement("style");
      styleBlock.innerHTML = styles;
      styleBlock.setAttribute("data-sass-component", fileName);
      document.head.appendChild(styleBlock);
    } else {
      element.innerHTML = styles;
    }
  })();
  /* List */


  const List = exports.List = ({
    listItens
  }) => {
    return /*#__PURE__*/_react2.default.createElement("div", {
      className: "list-wrap"
    }, /*#__PURE__*/_react2.default.createElement("ul", {
      className: "menu-list"
    }, listItens.map((_ref, index) => {
      let {
        url,
        title,
        target = '_self',
        icon,
        alertNumber,
        isActive,
        onClick
      } = _ref,
          props = _objectWithoutProperties(_ref, ["url", "title", "target", "icon", "alertNumber", "isActive", "onClick"]);

      return /*#__PURE__*/_react2.default.createElement("li", {
        key: index.toString(),
        className: ['menu-list-item', isActive ? 'is-active' : ''].join(' ')
      }, /*#__PURE__*/_react2.default.createElement("a", _extends({
        href: url,
        title: title,
        target: target,
        onClick: onClick,
        className: "menu-list-button"
      }, props), icon && icon, /*#__PURE__*/_react2.default.createElement("span", null, title), alertNumber !== undefined && alertNumber > 0 && /*#__PURE__*/_react2.default.createElement(_AlertaNumerico.AlertaNumerico, {
        number: alertNumber
      })));
    })));
  };

  List.propTypes = {
    listItens: _propTypes2.default.arrayOf(_propTypes2.default.shape({
      title: _propTypes2.default.string.isRequired,
      url: _propTypes2.default.string.isRequired,
      target: _propTypes2.default.oneOf(['_self', '_blank']),
      icon: _propTypes2.default.element,
      alertNumber: _propTypes2.default.number,
      isActive: _propTypes2.default.bool,
      onClick: _propTypes2.default.func.isRequired
    })).isRequired
  };
});
//# sourceMappingURL=List.js.map