(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "react", "./List", "../TakiIcon/TakiIcon", "../TakiIcon/TakiIcons.svg", "../Icon/Icon"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("react"), require("./List"), require("../TakiIcon/TakiIcon"), require("../TakiIcon/TakiIcons.svg"), require("../Icon/Icon"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.react, global.List, global.TakiIcon, global.TakiIcons, global.Icon);
    global.undefined = mod.exports;
  }
})(this, function (exports, _react, _List, _TakiIcon, _TakiIcons, _Icon) {
  "use strict";

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.Default = undefined;

  var _react2 = _interopRequireDefault(_react);

  var _TakiIcons2 = _interopRequireDefault(_TakiIcons);

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }

  exports.default = {
    title: 'Components/List',
    component: _List.List
  };

  const Template = args => /*#__PURE__*/_react2.default.createElement(_List.List, args);

  const Default = exports.Default = Template.bind({});
  const Itens = [{
    title: 'Início',
    url: './',
    target: '_blank',
    onClick: e => {
      e.preventDefault();
    },
    icon: /*#__PURE__*/_react2.default.createElement(_TakiIcon.TakiIcon, {
      svgSprite: _TakiIcons2.default,
      name: "home",
      color: "inherit",
      size: "19px"
    })
  }, {
    title: 'Meus Pedidos',
    url: '/loja/dashboard',
    onClick: e => {
      e.preventDefault();
    },
    icon: /*#__PURE__*/_react2.default.createElement(_TakiIcon.TakiIcon, {
      svgSprite: _TakiIcons2.default,
      name: "pedidos",
      color: "inherit",
      size: "19px"
    })
  }, {
    title: 'Produtos',
    url: '/loja/produtos',
    onClick: e => {
      e.preventDefault();
    },
    alertNumber: 0,
    icon: /*#__PURE__*/_react2.default.createElement(_TakiIcon.TakiIcon, {
      svgSprite: _TakiIcons2.default,
      name: "produtos",
      color: "inherit",
      size: "19px"
    })
  }, {
    title: 'Minha Loja',
    target: '_blank',
    url: '#',
    onClick: e => {
      e.preventDefault();
    },
    icon: /*#__PURE__*/_react2.default.createElement(_TakiIcon.TakiIcon, {
      svgSprite: _TakiIcons2.default,
      name: "loja",
      color: "inherit",
      size: "19px"
    })
  }, {
    title: 'Aplicativo',
    target: '_blank',
    url: '#',
    onClick: e => {
      e.preventDefault();
    },
    icon: /*#__PURE__*/_react2.default.createElement(_TakiIcon.TakiIcon, {
      svgSprite: _TakiIcons2.default,
      name: "aplicativo",
      color: "inherit",
      size: "19px"
    })
  }, {
    title: 'Pagamentos',
    target: '_blank',
    url: '#',
    onClick: e => {
      e.preventDefault();
    },
    icon: /*#__PURE__*/_react2.default.createElement(_TakiIcon.TakiIcon, {
      svgSprite: _TakiIcons2.default,
      name: "pagamentos",
      color: "inherit",
      size: "19px"
    })
  }, {
    title: 'Cupons',
    target: '_blank',
    url: '#',
    onClick: e => {
      e.preventDefault();
    },
    icon: /*#__PURE__*/_react2.default.createElement(_TakiIcon.TakiIcon, {
      svgSprite: _TakiIcons2.default,
      name: "ticket",
      color: "inherit",
      size: "19px"
    })
  }, {
    title: 'Ofertas',
    target: '_blank',
    url: '#',
    onClick: e => {
      e.preventDefault();
    },
    icon: /*#__PURE__*/_react2.default.createElement(_TakiIcon.TakiIcon, {
      svgSprite: _TakiIcons2.default,
      name: "megafone",
      color: "inherit",
      size: "19px"
    })
  }, {
    title: 'Avisos',
    target: '_blank',
    url: '#',
    onClick: e => {
      e.preventDefault();
    },
    icon: /*#__PURE__*/_react2.default.createElement(_TakiIcon.TakiIcon, {
      svgSprite: _TakiIcons2.default,
      name: "chat",
      color: "inherit",
      size: "19px"
    })
  }, {
    title: 'Horários',
    target: '_blank',
    url: 'https://www.google.com/',
    onClick: e => {
      e.preventDefault();
    },
    icon: /*#__PURE__*/_react2.default.createElement(_TakiIcon.TakiIcon, {
      svgSprite: _TakiIcons2.default,
      name: "horario",
      color: "inherit",
      size: "19px"
    })
  }, {
    title: 'Minha Conta',
    target: '_blank',
    url: '#',
    onClick: e => {
      e.preventDefault();
    },
    icon: /*#__PURE__*/_react2.default.createElement(_Icon.Icon, {
      name: "BsGear",
      color: "inherit",
      size: "19px"
    })
  }];
  Default.args = {
    listItens: Itens
  };
});
//# sourceMappingURL=index.stories.js.map