(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "react", "../Icon/Icon"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("react"), require("../Icon/Icon"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.react, global.Icon);
    global.undefined = mod.exports;
  }
})(this, function (exports, _react, _Icon) {
  "use strict";

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.NotificationModal = undefined;

  var _react2 = _interopRequireDefault(_react);

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }

  (function () {
    const styles = "/*\n* placeholder\n*/\n/* all colors in theme */\n/**\n * Foundation for Sites\n * Version 6.6.3\n * https://get.foundation\n * Licensed under MIT Open Source\n */\n/* Notification Modal */\n.notification-modal-overlay {\n  background: rgba(0, 0, 0, 0.6);\n  inset: 0;\n  pointer-events: none;\n  position: fixed;\n  z-index: 500;\n  overflow: hidden;\n  transition: all 500ms cubic-bezier(0.23, 1, 0.32, 1) 0s;\n  opacity: 0;\n  transform: translate3d(0, -5px, 0);\n  top: 0;\n  left: 0;\n  right: 0;\n  bottom: 0; }\n  .notification-modal-overlay.show-modal {\n    pointer-events: initial;\n    opacity: 1;\n    transition: opacity 0.8s;\n    transition-timing-function: cubic-bezier(0.7, 0, 0.3, 1);\n    transform: translate3d(0, 0, 0); }\n    .notification-modal-overlay.show-modal .notification-modal-block {\n      opacity: 1;\n      pointer-events: auto; }\n    .notification-modal-overlay.show-modal .notification-modal-content {\n      pointer-events: auto; }\n  .notification-modal-overlay .notification-modal-block {\n    z-index: 510;\n    pointer-events: none;\n    position: absolute;\n    opacity: 0;\n    transition: all 0.25s ease-in-out 0.25s;\n    left: 50%;\n    top: 50%;\n    transform: translate(-50%, -50%);\n    max-width: 45rem;\n    width: calc(100% - 20px); }\n    @media print, screen and (min-width: 64em) {\n      .notification-modal-overlay .notification-modal-block {\n        width: auto; } }\n  .notification-modal-overlay .notification-modal-content {\n    background-color: #fff;\n    border: 1px solid #e9ecef;\n    border-radius: 10px;\n    outline: 0;\n    pointer-events: none;\n    margin: 0 auto;\n    padding: 4rem 2rem; }\n    @media print, screen and (min-width: 64em) {\n      .notification-modal-overlay .notification-modal-content {\n        padding: 4rem 10rem 3.875rem; } }\n    .notification-modal-overlay .notification-modal-content .notification-modal-close-button {\n      color: #ff90b2;\n      line-height: 1;\n      position: absolute;\n      right: 1rem;\n      top: 1rem; }\n      @media print, screen and (min-width: 64em) {\n        .notification-modal-overlay .notification-modal-content .notification-modal-close-button {\n          right: 2rem;\n          top: 2rem; } }\n      .notification-modal-overlay .notification-modal-content .notification-modal-close-button svg {\n        cursor: pointer; }\n    .notification-modal-overlay .notification-modal-content .notification-modal-inner {\n      text-align: center;\n      width: 100%;\n      max-width: 25rem;\n      margin: 0 auto;\n      font-size: 1.125rem;\n      line-height: 1.2;\n      font-weight: 400; }\n      @media print, screen and (min-width: 64em) {\n        .notification-modal-overlay .notification-modal-content .notification-modal-inner {\n          width: 25rem;\n          font-size: 1.5rem; } }\n    .notification-modal-overlay .notification-modal-content .notification-modal-image {\n      display: inline-block;\n      max-width: 100%;\n      margin-bottom: 2rem; }\n    .notification-modal-overlay .notification-modal-content .button {\n      width: 100%;\n      margin-top: 3.5rem; }\n";
    const fileName = "NotificationModal_NotificationModal";
    const element = document.querySelector("style[data-sass-component='NotificationModal_NotificationModal']");

    if (!element) {
      const styleBlock = document.createElement("style");
      styleBlock.innerHTML = styles;
      styleBlock.setAttribute("data-sass-component", fileName);
      document.head.appendChild(styleBlock);
    } else {
      element.innerHTML = styles;
    }
  })();
  /**
   * Notification Modal
   */


  const NotificationModal = exports.NotificationModal = ({
    image,
    message,
    visible,
    time
  }) => {
    const [isVisible, setIsVisible] = (0, _react.useState)(visible);
    (0, _react.useEffect)(() => {
      if (time && isVisible) setTimeout(() => {
        setIsVisible(false);
      }, time * 1000);
    }, [time, isVisible]);
    (0, _react.useEffect)(() => {
      setIsVisible(visible);
    }, [visible]);
    return /*#__PURE__*/_react2.default.createElement("div", {
      className: `notification-modal-overlay ${isVisible && 'show-modal'}`
    }, /*#__PURE__*/_react2.default.createElement("div", {
      className: "notification-modal-block"
    }, /*#__PURE__*/_react2.default.createElement("div", {
      className: "notification-modal-content"
    }, /*#__PURE__*/_react2.default.createElement("div", {
      className: "notification-modal-close-button"
    }, /*#__PURE__*/_react2.default.createElement(_Icon.Icon, {
      name: "BsX",
      size: "27px",
      color: "inherit",
      onClick: () => {
        setIsVisible(false);
      }
    })), /*#__PURE__*/_react2.default.createElement("div", {
      className: "notification-modal-inner"
    }, /*#__PURE__*/_react2.default.createElement("img", {
      className: "notification-modal-image",
      src: image,
      alt: ""
    }), /*#__PURE__*/_react2.default.createElement("div", {
      className: "notification-modal-message"
    }, message)))));
  };
});
//# sourceMappingURL=NotificationModal.js.map