(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "prop-types", "react", "react-select"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("prop-types"), require("react"), require("react-select"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.propTypes, global.react, global.reactSelect);
    global.undefined = mod.exports;
  }
})(this, function (exports, _propTypes, _react, _reactSelect) {
  "use strict";

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.Selectbox = undefined;

  var _propTypes2 = _interopRequireDefault(_propTypes);

  var _react2 = _interopRequireDefault(_react);

  var _reactSelect2 = _interopRequireDefault(_reactSelect);

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }

  function _extends() {
    _extends = Object.assign || function (target) {
      for (var i = 1; i < arguments.length; i++) {
        var source = arguments[i];

        for (var key in source) {
          if (Object.prototype.hasOwnProperty.call(source, key)) {
            target[key] = source[key];
          }
        }
      }

      return target;
    };

    return _extends.apply(this, arguments);
  }

  function _objectWithoutProperties(source, excluded) {
    if (source == null) return {};

    var target = _objectWithoutPropertiesLoose(source, excluded);

    var key, i;

    if (Object.getOwnPropertySymbols) {
      var sourceSymbolKeys = Object.getOwnPropertySymbols(source);

      for (i = 0; i < sourceSymbolKeys.length; i++) {
        key = sourceSymbolKeys[i];
        if (excluded.indexOf(key) >= 0) continue;
        if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;
        target[key] = source[key];
      }
    }

    return target;
  }

  function _objectWithoutPropertiesLoose(source, excluded) {
    if (source == null) return {};
    var target = {};
    var sourceKeys = Object.keys(source);
    var key, i;

    for (i = 0; i < sourceKeys.length; i++) {
      key = sourceKeys[i];
      if (excluded.indexOf(key) >= 0) continue;
      target[key] = source[key];
    }

    return target;
  }

  (function () {
    const styles = "@charset \"UTF-8\";\n/*\n* placeholder\n*/\n/* all colors in theme */\n/**\n * Foundation for Sites\n * Version 6.6.3\n * https://get.foundation\n * Licensed under MIT Open Source\n */\n/**\n* [STORYBOOK] Componente Alerta Num\xE9rico\n*/\n.selectbox-container {\n  position: relative;\n  max-width: 12rem;\n  z-index: 1; }\n  .selectbox-container.selectbox-has-dots .react-select-container .react-select__control .react-select__value-container {\n    height: 3.75rem !important;\n    min-height: 3.75rem !important; }\n  .selectbox-container .selectbox-label {\n    font-weight: 700;\n    font-size: 1rem;\n    line-height: 1.25rem;\n    margin: 0 0 0.625rem 0.3125rem; }\n  .selectbox-container .react-select-container {\n    position: relative; }\n    .selectbox-container .react-select-container .react-select__control {\n      display: flex;\n      align-items: center;\n      justify-content: space-between;\n      position: relative;\n      background-color: #fff;\n      border: 1px solid rgba(204, 204, 204, 0.5);\n      box-shadow: none;\n      border-radius: 10px;\n      font-weight: 700;\n      font-size: 1rem;\n      line-height: 1;\n      padding: 0;\n      cursor: pointer;\n      outline: 0;\n      z-index: 2; }\n      .selectbox-container .react-select-container .react-select__control.react-select__control--menu-is-open svg {\n        transform: rotate(180deg); }\n      .selectbox-container .react-select-container .react-select__control svg {\n        fill: #ff90b2;\n        transition: all 0.2s ease-in-out; }\n      .selectbox-container .react-select-container .react-select__control .react-select__value-container {\n        margin: 0;\n        padding: 0 0 0 1rem;\n        position: relative;\n        min-height: 3.125rem; }\n        .selectbox-container .react-select-container .react-select__control .react-select__value-container.react-select__value-container--is-multi {\n          height: auto; }\n        .selectbox-container .react-select-container .react-select__control .react-select__value-container .react-select__single-value,\n        .selectbox-container .react-select-container .react-select__control .react-select__value-container .react-select__placeholder {\n          padding: 0.3125rem 0;\n          margin: 0;\n          font-weight: 400;\n          color: #495057; }\n      .selectbox-container .react-select-container .react-select__control .react-select__indicators {\n        padding: 0 0.5rem; }\n        .selectbox-container .react-select-container .react-select__control .react-select__indicators .react-select__indicator-separator {\n          display: none !important; }\n    .selectbox-container .react-select-container .react-select__menu {\n      transition: all 0.25s cubic-bezier(0.24, 0.22, 0.015, 1.56), opacity 0.1s ease-in-out;\n      position: absolute;\n      width: 100%;\n      margin: 0;\n      padding: 0.5rem 0.25rem;\n      list-style: none;\n      box-shadow: none;\n      top: calc(100% - 12px);\n      left: 0; }\n      .selectbox-container .react-select-container .react-select__menu .react-select__menu-list {\n        overflow: hidden;\n        margin: 0;\n        padding: 0 0.4375rem;\n        max-height: none;\n        background: #fff;\n        border: 1px solid rgba(204, 204, 204, 0.5);\n        border-radius: 0 0 10px 10px; }\n        .selectbox-container .react-select-container .react-select__menu .react-select__menu-list .react-select__option {\n          position: relative;\n          display: flex;\n          align-items: center;\n          justify-content: flex-start;\n          border-top: 1px solid rgba(204, 204, 204, 0.5);\n          height: 3.125rem;\n          padding: 0 0.4375rem;\n          color: #495057;\n          font-size: 1rem;\n          font-weight: 400;\n          line-height: 1;\n          outline: 0;\n          z-index: 2;\n          /* dots */ }\n          .selectbox-container .react-select-container .react-select__menu .react-select__menu-list .react-select__option:first-child {\n            border-top: 0; }\n          .selectbox-container .react-select-container .react-select__menu .react-select__menu-list .react-select__option:hover {\n            background-color: transparent; }\n            .selectbox-container .react-select-container .react-select__menu .react-select__menu-list .react-select__option:hover:before {\n              background-color: rgba(233, 236, 239, 0.2); }\n          .selectbox-container .react-select-container .react-select__menu .react-select__menu-list .react-select__option.react-select__option--is-selected {\n            background-color: transparent;\n            font-weight: 400;\n            color: #ff90b2; }\n            .selectbox-container .react-select-container .react-select__menu .react-select__menu-list .react-select__option.react-select__option--is-selected:hover {\n              background-color: transparent; }\n              .selectbox-container .react-select-container .react-select__menu .react-select__menu-list .react-select__option.react-select__option--is-selected:hover:before {\n                background-color: rgba(233, 236, 239, 0.2); }\n            .selectbox-container .react-select-container .react-select__menu .react-select__menu-list .react-select__option.react-select__option--is-selected:before {\n              background-color: rgba(233, 236, 239, 0.2); }\n          .selectbox-container .react-select-container .react-select__menu .react-select__menu-list .react-select__option:before {\n            content: \"\";\n            position: absolute;\n            top: 0;\n            left: -7px;\n            height: 100%;\n            width: calc(100% + 14px);\n            z-index: -1; }\n          .selectbox-container .react-select-container .react-select__menu .react-select__menu-list .react-select__option.react-select__color-em-andamento:before {\n            content: \"\";\n            width: 0.5rem;\n            height: 0.5rem;\n            margin-right: 0.5rem;\n            border-radius: 50%;\n            background-color: #ffad10; }\n          .selectbox-container .react-select-container .react-select__menu .react-select__menu-list .react-select__option.react-select__color-saiu-entrega:before {\n            content: \"\";\n            width: 0.5rem;\n            height: 0.5rem;\n            margin-right: 0.5rem;\n            border-radius: 50%;\n            background-color: #4cbcfc; }\n          .selectbox-container .react-select-container .react-select__menu .react-select__menu-list .react-select__option.react-select__color-recusado-lojista:before {\n            content: \"\";\n            width: 0.5rem;\n            height: 0.5rem;\n            margin-right: 0.5rem;\n            border-radius: 50%;\n            background-color: #ff554a; }\n          .selectbox-container .react-select-container .react-select__menu .react-select__menu-list .react-select__option.react-select__color-cancelado:before {\n            content: \"\";\n            width: 0.5rem;\n            height: 0.5rem;\n            margin-right: 0.5rem;\n            border-radius: 50%;\n            background-color: #495057; }\n          .selectbox-container .react-select-container .react-select__menu .react-select__menu-list .react-select__option.react-select__color-agendado:before {\n            content: \"\";\n            width: 0.5rem;\n            height: 0.5rem;\n            margin-right: 0.5rem;\n            border-radius: 50%;\n            background-color: #f492fd; }\n          .selectbox-container .react-select-container .react-select__menu .react-select__menu-list .react-select__option.react-select__color-entregue:before {\n            content: \"\";\n            width: 0.5rem;\n            height: 0.5rem;\n            margin-right: 0.5rem;\n            border-radius: 50%;\n            background-color: rgba(132, 193, 77, 0.85); }\n";
    const fileName = "Selectbox_Selectbox";
    const element = document.querySelector("style[data-sass-component='Selectbox_Selectbox']");

    if (!element) {
      const styleBlock = document.createElement("style");
      styleBlock.innerHTML = styles;
      styleBlock.setAttribute("data-sass-component", fileName);
      document.head.appendChild(styleBlock);
    } else {
      element.innerHTML = styles;
    }
  })();
  /*
   * SelectBox - https://react-select.com/props
   */


  const Selectbox = exports.Selectbox = _ref => {
    let {
      title,
      width,
      dots = false
    } = _ref,
        props = _objectWithoutProperties(_ref, ["title", "width", "dots"]);

    return /*#__PURE__*/_react2.default.createElement("div", {
      className: `selectbox-container ${dots && 'selectbox-has-dots'}`,
      style: {
        maxWidth: width !== undefined && width !== '' ? width : ''
      }
    }, title && /*#__PURE__*/_react2.default.createElement("div", {
      className: "selectbox-label"
    }, title), /*#__PURE__*/_react2.default.createElement(_reactSelect2.default, _extends({
      className: "react-select-container",
      classNamePrefix: "react-select",
      noOptionsMessage: () => 'Nada encontrado'
    }, props)));
  };

  Selectbox.propTypes = {
    title: _propTypes2.default.string,
    width: _propTypes2.default.string,
    dots: _propTypes2.default.bool
  };
});
//# sourceMappingURL=Selectbox.js.map