(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "prop-types", "react", "../AlertaNumerico/AlertaNumerico"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("prop-types"), require("react"), require("../AlertaNumerico/AlertaNumerico"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.propTypes, global.react, global.AlertaNumerico);
    global.undefined = mod.exports;
  }
})(this, function (exports, _propTypes, _react, _AlertaNumerico) {
  "use strict";

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.Tab = undefined;

  var _propTypes2 = _interopRequireDefault(_propTypes);

  var _react2 = _interopRequireDefault(_react);

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }

  /**
   * Tab
   */
  const Tab = exports.Tab = ({
    title,
    icon,
    orderStatus,
    alertNumber,
    isActive,
    onClick
  }) => {
    const onClickHandler = () => {
      if (onClick !== undefined) {
        onClick();
      }
    };

    return /*#__PURE__*/_react2.default.createElement("li", {
      className: ['tabs-title', isActive ? 'is-active' : ''].join(' '),
      onClick: onClickHandler,
      role: "presentation"
    }, /*#__PURE__*/_react2.default.createElement("div", {
      className: "tabs-button"
    }, icon, /*#__PURE__*/_react2.default.createElement("span", null, title), /*#__PURE__*/_react2.default.createElement(_AlertaNumerico.AlertaNumerico, {
      number: alertNumber,
      customClass: orderStatus ? `status-order-${orderStatus.trim().toLowerCase()}` : 'status-order-none'
    })));
  };

  Tab.propTypes = {
    title: _propTypes2.default.string.isRequired,
    icon: _propTypes2.default.element,
    orderStatus: _propTypes2.default.string,
    alertNumber: _propTypes2.default.number.isRequired,
    isActive: _propTypes2.default.bool,
    onClick: _propTypes2.default.func
  };
});
//# sourceMappingURL=Tab.js.map