(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "prop-types", "react", "./Tab"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("prop-types"), require("react"), require("./Tab"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.propTypes, global.react, global.Tab);
    global.undefined = mod.exports;
  }
})(this, function (exports, _propTypes, _react, _Tab) {
  "use strict";

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.Tabs = undefined;

  var _propTypes2 = _interopRequireDefault(_propTypes);

  var _react2 = _interopRequireDefault(_react);

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }

  function _extends() {
    _extends = Object.assign || function (target) {
      for (var i = 1; i < arguments.length; i++) {
        var source = arguments[i];

        for (var key in source) {
          if (Object.prototype.hasOwnProperty.call(source, key)) {
            target[key] = source[key];
          }
        }
      }

      return target;
    };

    return _extends.apply(this, arguments);
  }

  (function () {
    const styles = "/*\n* placeholder\n*/\n/* all colors in theme */\n/**\n * Foundation for Sites\n * Version 6.6.3\n * https://get.foundation\n * Licensed under MIT Open Source\n */\n/**\n* [STORYBOOK] Componente Tabs\n*/\n.tabs-block {\n  position: relative;\n  display: inline-block; }\n\n/* Tabs mixins */\n/* tabs */\n.tabs {\n  padding: 0;\n  margin: 0;\n  border: 0;\n  list-style-type: none;\n  display: flex;\n  justify-content: flex-start;\n  border: 1px solid #ddd;\n  box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.1);\n  border-radius: 10px;\n  overflow: hidden;\n  flex-flow: column; }\n  @media print, screen and (min-width: 64em) {\n    .tabs {\n      flex-flow: row nowrap; } }\n\n.tabs-title {\n  position: relative;\n  color: #495057; }\n  .tabs-title:first-child {\n    margin-left: 0; }\n  .tabs-title:last-child {\n    margin-right: 0; }\n    .tabs-title:last-child > div::after {\n      display: none; }\n  .tabs-title.is-active > .tabs-button {\n    color: #ff90b2;\n    background-color: rgba(233, 236, 239, 0.2); }\n  .tabs-title > .tabs-button {\n    position: relative;\n    transition: all 0.5s ease;\n    text-align: center;\n    display: flex;\n    align-items: center;\n    justify-content: flex-start;\n    line-height: 1;\n    height: 3.75rem;\n    font-weight: 700;\n    color: #495057;\n    padding: 0.5rem 1rem;\n    font-size: 1rem;\n    z-index: 1;\n    cursor: pointer; }\n    .tabs-title > .tabs-button > span {\n      margin-right: 0.5rem; }\n    @media print, screen and (min-width: 64em) {\n      .tabs-title > .tabs-button {\n        justify-content: center; }\n        .tabs-title > .tabs-button > span {\n          margin-right: 0; } }\n    .tabs-title > .tabs-button:after {\n      content: \"\";\n      position: absolute;\n      background-color: rgba(184, 184, 184, 0.5);\n      z-index: 9;\n      display: block;\n      left: 0;\n      bottom: 0;\n      right: auto;\n      top: auto;\n      width: 100%;\n      height: 1px; }\n      @media print, screen and (min-width: 64em) {\n        .tabs-title > .tabs-button:after {\n          left: auto;\n          bottom: auto;\n          right: 0;\n          top: 2px;\n          width: 1px;\n          height: calc(100% - 4px); } }\n    .tabs-title > .tabs-button:hover {\n      color: #ff90b2;\n      background-color: rgba(233, 236, 239, 0.2);\n      outline: 0; }\n  .tabs-title svg {\n    position: relative;\n    transition: all 0.35s ease-in-out;\n    margin-right: 0.5rem; }\n  .tabs-title .alerta-numerico {\n    margin-left: auto; }\n    @media print, screen and (min-width: 64em) {\n      .tabs-title .alerta-numerico {\n        margin-left: 0.5rem; } }\n\n.tabs-content {\n  border: 0;\n  background-color: transparent;\n  color: #495057;\n  transition: all 0.5s ease; }\n\n.tabs-panel {\n  display: none;\n  padding: 1.875rem 0; }\n  @media print, screen and (min-width: 64em) {\n    .tabs-panel {\n      padding: 2.5rem 0; } }\n  .tabs-panel.is-active {\n    display: block; }\n";
    const fileName = "Tabs_Tabs";
    const element = document.querySelector("style[data-sass-component='Tabs_Tabs']");

    if (!element) {
      const styleBlock = document.createElement("style");
      styleBlock.innerHTML = styles;
      styleBlock.setAttribute("data-sass-component", fileName);
      document.head.appendChild(styleBlock);
    } else {
      element.innerHTML = styles;
    }
  })();
  /**
   * Tabs
   */


  const Tabs = exports.Tabs = ({
    tabsListItens,
    onClick
  }, ...props) => {
    const [activeTab, setActiveTab] = _react2.default.useState(0);

    const handleClick = index => {
      onClick(index);
      setActiveTab(index);
    };

    return /*#__PURE__*/_react2.default.createElement("div", _extends({
      className: "tabs-block"
    }, props), /*#__PURE__*/_react2.default.createElement("ul", {
      className: "tabs"
    }, tabsListItens.map((data, index) => /*#__PURE__*/_react2.default.createElement(_Tab.Tab, _extends({
      key: index.toString()
    }, data, {
      isActive: activeTab === index,
      onClick: () => handleClick(index)
    })))));
  };

  Tabs.propTypes = {
    tabsListItens: _propTypes2.default.array.isRequired,
    onClick: _propTypes2.default.func.isRequired
  };
});
//# sourceMappingURL=Tabs.js.map