(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "react", "./Tabs", "../TakiIcon/TakiIcon", "../TakiIcon/TakiIcons.svg", "../Icon/Icon"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("react"), require("./Tabs"), require("../TakiIcon/TakiIcon"), require("../TakiIcon/TakiIcons.svg"), require("../Icon/Icon"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.react, global.Tabs, global.TakiIcon, global.TakiIcons, global.Icon);
    global.undefined = mod.exports;
  }
})(this, function (exports, _react, _Tabs, _TakiIcon, _TakiIcons, _Icon) {
  "use strict";

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.Default = undefined;

  var _react2 = _interopRequireDefault(_react);

  var _TakiIcons2 = _interopRequireDefault(_TakiIcons);

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }

  exports.default = {
    title: 'Components/Tabs',
    component: _Tabs.Tabs
  };

  const Template = args => /*#__PURE__*/_react2.default.createElement(_Tabs.Tabs, args);

  const Default = exports.Default = Template.bind({});
  Default.args = {
    tabsListItens: [{
      title: 'Todos',
      icon: /*#__PURE__*/_react2.default.createElement(_TakiIcon.TakiIcon, {
        svgSprite: _TakiIcons2.default,
        name: "pedidos",
        color: "inherit",
        size: "19px"
      }),
      isActive: true,
      alertNumber: 0
    }, {
      title: 'Em Preparo',
      icon: /*#__PURE__*/_react2.default.createElement(_TakiIcon.TakiIcon, {
        svgSprite: _TakiIcons2.default,
        name: "preparo",
        color: "inherit",
        size: "19px"
      }),
      alertNumber: Math.floor(Math.random() * 100),
      orderStatus: 'preparo'
    }, {
      title: 'Esperando Entrega',
      icon: /*#__PURE__*/_react2.default.createElement(_TakiIcon.TakiIcon, {
        svgSprite: _TakiIcons2.default,
        name: "entregue",
        color: "inherit",
        size: "19px"
      }),
      alertNumber: Math.floor(Math.random() * 100),
      orderStatus: 'esperando'
    }, {
      title: 'Saiu para Entrega',
      icon: /*#__PURE__*/_react2.default.createElement(_TakiIcon.TakiIcon, {
        svgSprite: _TakiIcons2.default,
        name: "delivery",
        color: "inherit",
        size: "19px"
      }),
      alertNumber: Math.floor(Math.random() * 100),
      orderStatus: 'saiu'
    }, {
      title: 'Retirar na Loja',
      icon: /*#__PURE__*/_react2.default.createElement(_TakiIcon.TakiIcon, {
        svgSprite: _TakiIcons2.default,
        name: "loja",
        color: "inherit",
        size: "19px"
      }),
      alertNumber: Math.floor(Math.random() * 100),
      orderStatus: 'retirar'
    }, {
      title: 'Agendados',
      icon: /*#__PURE__*/_react2.default.createElement(_Icon.Icon, {
        name: "BsCalendar",
        color: "inherit",
        size: "19px"
      }),
      alertNumber: Math.floor(Math.random() * 100),
      orderStatus: 'agendado'
    }]
  };
});
//# sourceMappingURL=index.stories.js.map