(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "prop-types", "react"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("prop-types"), require("react"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.propTypes, global.react);
    global.undefined = mod.exports;
  }
})(this, function (exports, _propTypes, _react) {
  "use strict";

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.TakiIcon = undefined;

  var _propTypes2 = _interopRequireDefault(_propTypes);

  var _react2 = _interopRequireDefault(_react);

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }

  (function () {
    const styles = ".taki-icon {\n  height: 32px;\n  width: 32px;\n  display: inline-block;\n  fill: #495057 !important;\n  color: #495057 !important; }\n";
    const fileName = "TakiIcon_TakiIcon";
    const element = document.querySelector("style[data-sass-component='TakiIcon_TakiIcon']");

    if (!element) {
      const styleBlock = document.createElement("style");
      styleBlock.innerHTML = styles;
      styleBlock.setAttribute("data-sass-component", fileName);
      document.head.appendChild(styleBlock);
    } else {
      element.innerHTML = styles;
    }
  })();
  /**
   * TakiIcon component -
   */


  const TakiIcon = exports.TakiIcon = ({
    name = 'entregue',
    svgSprite,
    size = '20px',
    color = '#495057',
    onClick,
    onHover
  }) => {
    return /*#__PURE__*/_react2.default.createElement("svg", {
      strokeWidth: "0",
      onClick: onClick,
      onMouseEnter: onHover,
      className: `taki-icon icon-${name}`,
      style: {
        fill: color,
        width: size,
        height: size
      }
    }, /*#__PURE__*/_react2.default.createElement("use", {
      href: `${svgSprite}#${name}`
    }));
  };

  TakiIcon.propTypes = {
    svgSprite: _propTypes2.default.string.isRequired,
    size: _propTypes2.default.string.isRequired,
    name: _propTypes2.default.string.isRequired,
    color: _propTypes2.default.string.isRequired,
    onHover: _propTypes2.default.func,
    onClick: _propTypes2.default.func
  };
});
//# sourceMappingURL=TakiIcon.js.map